( function ( $ ) {
    'use strict';

    /**
     * All of the code for your admin-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */
    $( function () {
        jQuery( document ).on( 'click', '.cs-notice-dismissed', function ( e ) {
            e.preventDefault();
            $.ajax( {
                url: ajax_object.ajaxurl,
                type: 'GET',
                data: {
                    action: 'cmpro_ajax_notice_dismissed'
                },
                success: function ( response ) {
                    $( '.cs-notice-dismissed-wrap' ).hide();
                },
                error: function () {  // This can be expanded to provide more information
                    console.log( 'There was an error saving the updates' );
                }
            } );
        } );
    } );

} )( jQuery );