( function ( $ ) {
    'use strict';

    $( document ).ready( function () {
        let proof_table = $( '#proof_consent_data' ),
            proof_rules_stats_table = $( '#proof_rules_stats_data' ),
            proof_cs_type_stats_table = $( '#proof_cs_type_stats_data' ),
            proof_global_stats_table = $( '#proof_global_stats_data' ),
            manual_added_cookies = $( '#manual_added_cookies' ),
            manual_added_scripts = $( '#manual_added_scripts' ),
            custom_cookies = $( '#custom_cookies' ),
            custom_scripts = $( '#custom_scripts' ),
            ignore_ip_table = $( '#ignore_ip_table' );

        if ( manual_added_cookies.length > 0 ) {

            var cookies_table = $( '#manual_added_cookies' ).DataTable( {
                "ordering": false,
                "info": false,
                "processing": false,
                "serverSide": false,
                'serverMethod': 'post',
                "searching": false,
                'ajax': {
                    'url': ajax_object.ajaxurl + '?action=get_manual_added_cookies&nonce_code=' + ajax_object.nonce,
                    'data': function ( data ) {

                    }
                },
                drawCallback: function ( dt ) {
                    jQuery( ".js-table-basic-single" ).cs_select2();
                },
                "columns": [
                    {
                        render: function ( data, type, row ) {
                            return '<div class="custom-switch">' +
                                '<input type="hidden" name="' + row.option_name + '" value="0" class="' + row.option_name + '">' +
                                '<input type="checkbox" name="' + row.option_name + '" value="1" ' + row.checked + ' id="' + row.option_name + '_' + row.cookie_id + '" class="custom-switch-input ' + row.option_name + '">' +
                                '<label class="custom-switch custom-switch-btn" for="' + row.option_name + '_' + row.cookie_id + '"></label>' +
                                '</div>';
                        },
                        orderable: false,
                        className: 'switcher_div_dd'
                    },
                    { "data": "cookie_name" },
                    { "data": "buttons" },
                    {
                        render: function ( data, type, row ) {
                            var options, selected = '';
                            $.each( row.options_terms, function ( key, value ) {
                                if ( row.cat_select === key ) {
                                    selected = 'selected="selected"'
                                } else {
                                    selected = ''
                                }
                                options += '<option value="' + key + '" ' + selected + '>' + value + '</option>';
                            } );
                            return '<select class="form-control-sm js-table-basic-single" id="' + row.option_select_name + '" name="' + row.option_select_name + '" autocomplete="off" style="width: 100%;">' + options + '</select>';
                        },
                        orderable: false,
                        className: 'sel_div_dd'
                    }
                ]
            } );

            $( '#manual_added_cookies tbody' ).on( 'click', '.delete_custom_post', function ( e ) {
                e.preventDefault();
                var post_id = $( this ).data( 'id' ),
                    data_cat = $( this ).data( 'cat' ),
                    wpnonce = $( '#_wpnonce' ).val();

                $.ajax( {
                    url: $( '#cs_settings_form' ).attr( 'action' ),
                    type: 'POST',
                    data: 'post_id=' + post_id + '&data_cat=' + data_cat + '&cs_settings_ajax_update=delete_custom_post&_wpnonce=' + wpnonce,
                    success: function ( data ) {
                        location.reload();
                    },
                    error: function () {
                        console.log( 'error' );
                    }
                } );
            } );
        }

        if ( manual_added_scripts.length > 0 ) {

            var scripts_table = $( '#manual_added_scripts' ).DataTable( {
                "ordering": false,
                "info": false,
                "processing": false,
                "serverSide": false,
                'serverMethod': 'post',
                "searching": false,
                'ajax': {
                    'url': ajax_object.ajaxurl + '?action=get_manual_added_scripts&nonce_code=' + ajax_object.nonce,
                    'data': function ( data ) {

                    }
                },
                drawCallback: function ( dt ) {
                    jQuery( ".js-table-basic-single" ).cs_select2();
                },
                "columns": [
                    {
                        render: function ( data, type, row ) {
                            return '<div class="custom-switch">' +
                                '<input type="hidden" name="' + row.option_name + '" value="0" class="' + row.option_name + '">' +
                                '<input type="checkbox" name="' + row.option_name + '" value="1" ' + row.checked + ' id="' + row.option_name + '_' + row.cookie_id + '" class="custom-switch-input ' + row.option_name + '">' +
                                '<label class="custom-switch custom-switch-btn" for="' + row.option_name + '_' + row.cookie_id + '"></label>' +
                                '</div>';
                        },
                        orderable: false,
                        className: 'switcher_div_dd'
                    },
                    { "data": "script_name" },
                    { "data": "buttons" },
                    {
                        render: function ( data, type, row ) {
                            var options, selected = '';
                            $.each( row.options_terms, function ( key, value ) {
                                if ( row.cat_select === key ) {
                                    selected = 'selected="selected"'
                                } else {
                                    selected = ''
                                }
                                options += '<option value="' + key + '" ' + selected + '>' + value + '</option>';
                            } );
                            return '<select class="form-control-sm js-table-basic-single" id="' + row.option_select_name + '" name="' + row.option_select_name + '" autocomplete="off" style="width: 100%;">' + options + '</select>';
                        },
                        orderable: false,
                        className: 'sel_div_dd'
                    }
                ]
            } );

            $( '#manual_added_scripts tbody' ).on( 'click', '.delete_custom_post', function ( e ) {
                e.preventDefault();
                var post_id = $( this ).data( 'id' ),
                    data_cat = $( this ).data( 'cat' ),
                    wpnonce = $( '#_wpnonce' ).val();

                $.ajax( {
                    url: $( '#cs_settings_form' ).attr( 'action' ),
                    type: 'POST',
                    data: 'post_id=' + post_id + '&data_cat=' + data_cat + '&cs_settings_ajax_update=delete_custom_post&_wpnonce=' + wpnonce,
                    success: function ( data ) {
                        location.reload();
                    },
                    error: function () {
                        console.log( 'error' );
                    }
                } );
            } );
        }

        if ( custom_cookies.length > 0 ) {

            /* Formatting function for row details - modify as you need */
            function format( d ) {
                let disabled = 'disabled', html = '',
                    description = '<span style="width: 100%;" class="description_text">' + d.description + '</span>',
                    button = '';
                if ( d.disabled !== 'disabled' ) {
                    disabled = '';
                    description = '<textarea style="width: 100%;" class="description_text">' + d.description + '</textarea>';
                    button = '<td class="btn_save_descr" data-id="' + d.cookie_id + '"><span class="btn btn-blue">Save Description</span></td>';
                }
                // `d` is the original data object for the row
                html = '<table cellpadding="5" cellspacing="0" border="0" style="padding-left:50px;">' +
                    '<tr class="' + disabled + '">' +
                    '<td>Description:</td>' +
                    '<td style="width: 100%;">';
                html += description;
                html += '</td>';
                html += button;
                html += '</tr>' +
                    '</table>';

                return html;
            }

            var custom_cookies_table = $( '#custom_cookies' ).DataTable( {
                "ordering": false,
                "info": false,
                "searching": false,
                "processing": false,
                "serverSide": false,
                "ajax": {
                    url: ajax_object.ajaxurl + '?action=get_scan_cookies&nonce_code=' + ajax_object.nonce,
                    type: "POST",
                },
                drawCallback: function ( dt ) {
                    jQuery( ".js-table-basic-single" ).cs_select2();
                },
                "columns": [
                    {
                        "className": 'details-control',
                        "orderable": false,
                        "data": '<span class="btn btn-blue">Details</span>',
                        "defaultContent": '<span class="btn btn-blue">Details</span>'
                    },
                    { "data": "cookie_name" },
                    {
                        render: function ( data, type, row ) {
                            let options, selected = '', disabled = 'disabled';
                            $.each( row.options_terms, function ( key, value ) {
                                if ( row.cat_select === key ) {
                                    selected = 'selected="selected"'
                                } else {
                                    selected = ''
                                }
                                options += '<option value="' + key + '" ' + selected + '>' + value + '</option>';
                            } );

                            if ( row.disabled !== 'disabled' ) {
                                disabled = '';
                            }
                            return '<select class="form-control-sm js-table-basic-single" id="' + row.cookie_name + '" name="' + row.option_select_name + '" autocomplete="off" style="width: 100%;" ' + disabled + '>' + options + '</select>';
                        },
                        orderable: false,
                        className: 'sel_div_dd'
                    }
                ],
                createdRow: function ( row, data, dataIndex ) {
                    if ( data.disabled === 'disabled' ) {
                        $( row ).addClass( 'disabled' );
                    }
                }
            } );

            // Add event listener for opening and closing details
            $( '#custom_cookies tbody' ).on( 'click', 'td.details-control', function () {
                var tr = $( this ).closest( 'tr' );
                var row = custom_cookies_table.row( tr );
                $( this ).find( 'span' ).toggleText( 'Details', 'Close' );
                if ( row.child.isShown() ) {
                    // This row is already open - close it
                    row.child.hide();
                    tr.removeClass( 'shown' );
                } else {
                    // Open this row
                    row.child( format( row.data() ) ).show();
                    tr.addClass( 'shown' );
                }
            } );

            $( '#custom_cookies tbody' ).on( 'click', 'td.btn_save_descr', function () {
                let that = $( this ),
                    cookie_id = that.data( 'id' ),
                    descr_text = that.closest( 'tr' ).find( '.description_text' ).val();
                that.css( { 'opacity': '.5', 'cursor': 'default' } );
                $.ajax( {
                    url: ajax_object.ajaxurl,
                    type: 'POST',
                    data: {
                        action: 'cs_save_scan_data',
                        nonce_code: ajax_object.nonce,
                        cookie_id: cookie_id,
                        descr_text: descr_text
                    },
                    success: function ( response ) {
                        if ( response.success ) {
                            that.css( { 'opacity': '1', 'cursor': 'pointer' } );
                        }
                    }
                } );
            } );
        }

        if ( custom_scripts.length > 0 ) {

            var custom_scripts_table = $( '#custom_scripts' ).DataTable( {
                "ordering": false,
                "info": false,
                "processing": false,
                "serverSide": false,
                'serverMethod': 'post',
                "searching": false,
                'ajax': {
                    'url': ajax_object.ajaxurl + '?action=get_scan_scripts&nonce_code=' + ajax_object.nonce,
                    'data': function ( data ) {
                    }
                },
                drawCallback: function ( dt ) {
                    jQuery( ".js-table-basic-single" ).cs_select2();
                },
                "columns": [
                    {
                        "data": "script_button"
                    },
                    { "data": "script_name" },
                    { "data": "term" },
                ]
            } );

            $( '#custom_scripts tbody' ).on( 'click', '.open_target_tab', function ( e ) {
                var trgt = $( this ).attr( 'data-target' );
                e.preventDefault();
                $( '.cs_sub_tab' ).find( "[data-target='" + trgt + "']" ).trigger( 'click' );
                $( 'html, body' ).animate( { scrollTop: 0 }, 1500 );
            } );
        }

        if ( proof_table.length > 0 ) {

            /* Formatting function for row details - modify as you need */
            function format( d ) {
                // `d` is the original data object for the row
                return '<table cellpadding="5" cellspacing="0" border="0" style="padding-left:50px;">' +
                    '<tr>' +
                    '<td>URL:</td>' +
                    '<td>' + d.url + '</td>' +
                    '</tr>' +
                    '<tr>' +
                    '<td>User:</td>' +
                    '<td>' + d.email + '</td>' +
                    '</tr>' +
                    '<tr>' +
                    '<td>User profile:</td>' +
                    '<td>' + d.profile + '</td>' +
                    '</tr>' +
                    '<tr>' +
                    '<td>Rule:</td>' +
                    '<td>' + d.rule + '</td>' +
                    '</tr>' +
                    '<tr>' +
                    '<td>Consent type:</td>' +
                    '<td>' + d.consent_type + '</td>' +
                    '</tr>' +
                    '<tr>' +
                    '<td>Action:</td>' +
                    '<td>' + d.current_action + '</td>' +
                    '</tr>' +
                    '</table>';
            }

            var table = $( '#proof_consent_data' ).DataTable( {
                "ordering": false,
                "info": false,
                "searching": false,
                "ajax": {
                    url: ajax_object.ajaxurl + '?action=get_proof_consent_data&nonce_code=' + ajax_object.nonce,
                    type: "POST",
                },
                "columns": [
                    {
                        "className": 'details-control',
                        "orderable": false,
                        "data": '<span class="btn btn-blue">Details</span>',
                        "defaultContent": '<span class="btn btn-blue">Details</span>'
                    },
                    { "data": "ip" },
                    { "data": "created_at" },
                    { "data": "uuid" },
                    { "data": "category" }
                ]
            } );

            // Add event listener for opening and closing details
            $( '#proof_consent_data tbody' ).on( 'click', 'td.details-control', function () {
                var tr = $( this ).closest( 'tr' );
                var row = table.row( tr );
                $( this ).find( 'span' ).toggleText( 'Details', 'Close' );
                if ( row.child.isShown() ) {
                    // This row is already open - close it
                    row.child.hide();
                    tr.removeClass( 'shown' );
                } else {
                    // Open this row
                    row.child( format( row.data() ) ).show();
                    tr.addClass( 'shown' );
                }
            } );
        }

        if ( ignore_ip_table.length > 0 ) {

            var start_ip = moment().subtract( 30, 'days' );
            var end_ip = moment();

            function cb_ip( start, end ) {
                $( '.datepicker_ip span' ).html( start.format( 'MMMM D, YYYY' ) + ' - ' + end.format( 'MMMM D, YYYY' ) );
            }

            // Datapicker
            $( ".datepicker_ip" ).daterangepicker( {
                startDate: start_ip,
                endDate: end_ip,
                ranges: {
                    'Today': [ moment(), moment() ],
                    'Yesterday': [ moment().subtract( 1, 'days' ), moment().subtract( 1, 'days' ) ],
                    'Last 7 Days': [ moment().subtract( 6, 'days' ), moment() ],
                    'Last 30 Days': [ moment().subtract( 29, 'days' ), moment() ],
                    'This Month': [ moment().startOf( 'month' ), moment().endOf( 'month' ) ],
                    'Last Month': [ moment().subtract( 1, 'month' ).startOf( 'month' ), moment().subtract( 1, 'month' ).endOf( 'month' ) ]
                }
            }, cb_ip );

            cb_ip( start_ip, end_ip );

            var table_ip = $( '#ignore_ip_table' ).DataTable( {
                "ordering": false,
                "info": false,
                'processing': true,
                'serverSide': true,
                'serverMethod': 'post',
                'searching': false, // Set false to Remove default Search Control
                "ajax": {
                    url: ajax_object.ajaxurl + '?action=get_ignore_ip_table&nonce_code=' + ajax_object.nonce,
                    'data': function ( data ) {
                        // Read values
                        var from_date = $( '.datepicker_ip' ).data( 'daterangepicker' ).startDate.format( "YYYY-MM-DD" );
                        var to_date = $( '.datepicker_ip' ).data( 'daterangepicker' ).endDate.format( "YYYY-MM-DD" );

                        // Append to data
                        data.searchByFromdate = from_date;
                        data.searchByTodate = to_date;
                    }
                },
                "columns": [
                    {
                        render: function ( data, type, row ) {
                            let result = '<a href="javascript:void(0);"><i class="icon-delete"></i></a>';
                            result += '<input type="hidden" name="' + row.id + '_name" value="' + row.id + '" id="' + row.id + '_id" class="ip-control">';
                            return result;
                        },
                        orderable: false,
                        className: 'delete-control'
                    },
                    { "data": "ip" },
                    { "data": "created_at" },
                ]
            } );

            // Search button
            $( '#btn_search_ip' ).click( function () {
                table_ip.draw();
            } );

            // Add event listener for opening and closing details
            $( '#ignore_ip_table tbody' ).on( 'click', 'td.delete-control', function () {
                $.ajax( {
                    url: ajax_object.ajaxurl + '?action=remove_ignore_ip_table&nonce_code=' + ajax_object.nonce,
                    type: 'POST',
                    data: 'id=' + $( this ).find( '.ip-control' ).val(),
                    success: function () {
                        table_ip
                            .row( $( this ).parents( 'tr' ) )
                            .remove()
                            .draw();
                    },
                    error: function () {
                        console.log( 'error' );
                    }
                } );
            } );
        }

        if ( proof_rules_stats_table.length > 0 ) {

            var start_rule = moment().subtract( 30, 'days' );
            var end_rule = moment();

            function cb_rule( start, end ) {
                $( '.datepicker_rule span' ).html( start.format( 'MMMM D, YYYY' ) + ' - ' + end.format( 'MMMM D, YYYY' ) );
            }

            // Datapicker
            $( ".datepicker_rule" ).daterangepicker( {
                startDate: start_rule,
                endDate: end_rule,
                ranges: {
                    'Today': [ moment(), moment() ],
                    'Yesterday': [ moment().subtract( 1, 'days' ), moment().subtract( 1, 'days' ) ],
                    'Last 7 Days': [ moment().subtract( 6, 'days' ), moment() ],
                    'Last 30 Days': [ moment().subtract( 29, 'days' ), moment() ],
                    'This Month': [ moment().startOf( 'month' ), moment().endOf( 'month' ) ],
                    'Last Month': [ moment().subtract( 1, 'month' ).startOf( 'month' ), moment().subtract( 1, 'month' ).endOf( 'month' ) ]
                }
            }, cb_rule );

            cb_rule( start_rule, end_rule );

            var proof_rules_table = $( '#proof_rules_stats_data' ).DataTable( {
                "ordering": false,
                "info": false,
                'processing': true,
                'serverSide': true,
                'serverMethod': 'post',
                'searching': false, // Set false to Remove default Search Control
                'ajax': {
                    'url': ajax_object.ajaxurl + '?action=get_proof_rules_stats_data&nonce_code=' + ajax_object.nonce,
                    'data': function ( data ) {
                        // Read values
                        var from_date = $( '.datepicker_rule' ).data( 'daterangepicker' ).startDate.format( "YYYY-MM-DD" );
                        var to_date = $( '.datepicker_rule' ).data( 'daterangepicker' ).endDate.format( "YYYY-MM-DD" );

                        // Append to data
                        data.searchByFromdate = from_date;
                        data.searchByTodate = to_date;
                    }
                },
                "columns": [
                    { "data": "rule_name" },
                    { "data": "allow_all" },
                    { "data": "disallow_all" },
                    { "data": "close_on_scroll" },
                    { "data": "confirm_choices" },
                    { "data": "close_consent" },
                    { "data": "close_opt_popup" }
                ]
            } );

            // Search button
            $( '#btn_search' ).click( function () {
                proof_rules_table.draw();
            } );
        }

        if ( proof_cs_type_stats_table.length > 0 ) {

            var start_type = moment().subtract( 30, 'days' );
            var end_type = moment();

            function cb_type( start, end ) {
                $( '.datepicker_consent_type span' ).html( start.format( 'MMMM D, YYYY' ) + ' - ' + end.format( 'MMMM D, YYYY' ) );
            }

            // Datapicker
            $( ".datepicker_consent_type" ).daterangepicker( {
                startDate: start_type,
                endDate: end_type,
                ranges: {
                    'Today': [ moment(), moment() ],
                    'Yesterday': [ moment().subtract( 1, 'days' ), moment().subtract( 1, 'days' ) ],
                    'Last 7 Days': [ moment().subtract( 6, 'days' ), moment() ],
                    'Last 30 Days': [ moment().subtract( 29, 'days' ), moment() ],
                    'This Month': [ moment().startOf( 'month' ), moment().endOf( 'month' ) ],
                    'Last Month': [ moment().subtract( 1, 'month' ).startOf( 'month' ), moment().subtract( 1, 'month' ).endOf( 'month' ) ]
                }
            }, cb_type );

            cb_type( start_type, end_type );

            var consent_type_table = $( '#proof_cs_type_stats_data' ).DataTable( {
                "ordering": false,
                "info": false,
                'processing': true,
                'paging': false,
                'serverSide': true,
                'serverMethod': 'post',
                'searching': false, // Set false to Remove default Search Control
                'ajax': {
                    'url': ajax_object.ajaxurl + '?action=get_proof_cs_type_stats_data&nonce_code=' + ajax_object.nonce,
                    'data': function ( data ) {
                        // Read values
                        var from_date = $( '.datepicker_consent_type' ).data( 'daterangepicker' ).startDate.format( "YYYY-MM-DD" );
                        var to_date = $( '.datepicker_consent_type' ).data( 'daterangepicker' ).endDate.format( "YYYY-MM-DD" );
                        // Append to data
                        data.searchByFromdate = from_date;
                        data.searchByTodate = to_date;
                    }
                },
                "columns": [
                    { "data": "consent_type" },
                    { "data": "allow_all" },
                    { "data": "disallow_all" },
                    { "data": "close_on_scroll" },
                    { "data": "confirm_choices" },
                    { "data": "close_consent" },
                    { "data": "close_opt_popup" }
                ]
            } );

            // Search button
            $( '#btn_search_consent_type' ).click( function () {
                consent_type_table.draw();
            } );
        }

        if ( proof_global_stats_table.length > 0 ) {

            var start = moment().subtract( 30, 'days' );
            var end = moment();

            function cb( start, end ) {
                $( '.datepicker_global span' ).html( start.format( 'MMMM D, YYYY' ) + ' - ' + end.format( 'MMMM D, YYYY' ) );
            }

            // Datapicker
            $( ".datepicker_global" ).daterangepicker( {
                startDate: start,
                endDate: end,
                ranges: {
                    'Today': [ moment(), moment() ],
                    'Yesterday': [ moment().subtract( 1, 'days' ), moment().subtract( 1, 'days' ) ],
                    'Last 7 Days': [ moment().subtract( 6, 'days' ), moment() ],
                    'Last 30 Days': [ moment().subtract( 29, 'days' ), moment() ],
                    'This Month': [ moment().startOf( 'month' ), moment().endOf( 'month' ) ],
                    'Last Month': [ moment().subtract( 1, 'month' ).startOf( 'month' ), moment().subtract( 1, 'month' ).endOf( 'month' ) ]
                }
            }, cb );

            cb( start, end );

            var proof_global_table = $( '#proof_global_stats_data' ).DataTable( {
                "ordering": false,
                "info": false,
                'processing': true,
                'serverSide': true,
                'serverMethod': 'post',
                'paging': false,
                'searching': false, // Set false to Remove default Search Control
                'ajax': {
                    'url': ajax_object.ajaxurl + '?action=get_proof_global_stats_data&nonce_code=' + ajax_object.nonce,
                    'data': function ( data ) {
                        // Read values
                        var from_date = $( '.datepicker_global' ).data( 'daterangepicker' ).startDate.format( "YYYY-MM-DD" );
                        var to_date = $( '.datepicker_global' ).data( 'daterangepicker' ).endDate.format( "YYYY-MM-DD" );

                        // Append to data
                        data.searchByFromdate = from_date;
                        data.searchByTodate = to_date;
                    }
                },
                "columns": [
                    { "data": "action" },
                    { "data": "count" },
                ]
            } );

            // Search button
            $( '#btn_search_global' ).click( function () {
                proof_global_table.draw();
            } );
        }

    } );

    $.fn.extend( {
        toggleText: function ( a, b ) {
            return this.text( this.text() == b ? a : b );
        }
    } );

} )( jQuery );