<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="container">

    <div class="rules-wrap-border headline">
        <div class="rules-wrap headline">
            <div class="wrap_title" style="font-size: 18px;">
                <strong><?php esc_html_e( '[cm_options]some text here[/cm_options]', 'consent-magic' ); ?></strong>
                <span class="icon-files-empty copy_shorctode"
                      onclick="copyShortcode('[cm_options]some text here[/cm_options]', this)"></span>
            </div>
            <p><?php esc_html_e( 'It will add a link that opens the options popup.', 'consent-magic' ); ?></p>

            <div class="custom-controls-stacked">
                <div>
					<?php render_radio_input( 'cs_hide_shortcode_cm_options', 'show', esc_html__( 'For "Just inform", open the main consent message (no options popup is available for this consent type)', 'consent-magic' ) ); ?>
                </div>
                <div>
					<?php render_radio_input( 'cs_hide_shortcode_cm_options', 'hide', esc_html__( 'Hide it for "Just inform"', 'consent-magic' ) ); ?>
                </div>
            </div>
        </div>

        <div class="rules-wrap headline">
            <div class="wrap_title" style="font-size: 18px;">
                <strong><?php esc_html_e( '[cm_privacy_link]some text here[/cm_privacy_link]', 'consent-magic' ); ?></strong>
                <span class="icon-files-empty copy_shorctode"
                      onclick="copyShortcode('[cm_privacy_link]some text here[/cm_privacy_link]', this)"></span>
            </div>
            <p><?php esc_html_e( 'It will add a link that opens the privacy page configured inside the plugin.', 'consent-magic' ); ?></p>
        </div>

        <div class="rules-wrap headline">
            <div class="wrap_title" style="font-size: 18px;">
                <strong><?php esc_html_e( '[cm_categories]', 'consent-magic' ); ?></strong>
                <span class="icon-files-empty copy_shorctode" onclick="copyShortcode('[cm_categories]', this)"></span>
            </div>
            <p><?php esc_html_e( 'It will display a list with cookies/scripts categories.', 'consent-magic' ); ?></p>
        </div>

        <div class="rules-wrap headline">
            <div class="wrap_title" style="font-size: 18px;">
                <strong><?php esc_html_e( '[disable_cm]', 'consent-magic' ); ?></strong>
                <span class="icon-files-empty copy_shorctode" onclick="copyShortcode('[disable_cm]', this)"></span>
            </div>
            <p><?php esc_html_e( 'Use this shortcode if you want to disable ConsentMagic on a particular page.', 'consent-magic' ); ?></p>
        </div>

        <div class="rules-wrap-border">
            <div class="rules-wrap headline">
                <div class="wrap_title" style="font-size: 18px;">
                    <strong><?php esc_html_e( '[cm_scan]', 'consent-magic' ); ?></strong>
                    <span class="icon-files-empty copy_shorctode" onclick="copyShortcode('[cm_scan]', this)"></span>
                </div>
                <p><?php esc_html_e( 'It will show all cookies and scripts detected by the last scan.', 'consent-magic' ); ?></p>
            </div>

            <div class="rules-wrap headline">
                <div class="wrap_title" style="font-size: 18px;">
                    <strong><?php esc_html_e( '[cm_scan_cookies]', 'consent-magic' ); ?></strong>
                    <span class="icon-files-empty copy_shorctode"
                          onclick="copyShortcode('[cm_scan_cookies]', this)"></span>
                </div>
                <p><?php esc_html_e( 'It will show all cookies detected by the last scan.', 'consent-magic' ); ?></p>
            </div>

            <div class="rules-wrap headline">
                <div class="wrap_title" style="font-size: 18px;">
                    <strong><?php esc_html_e( '[cm_scan_scripts]', 'consent-magic' ); ?></strong>
                    <span class="icon-files-empty copy_shorctode"
                          onclick="copyShortcode('[cm_scan_scripts]', this)"></span>
                </div>
                <p><?php esc_html_e( 'It will show all scripts detected by the last scan.', 'consent-magic' ); ?></p>
            </div>
        </div>
    </div>
</div>

<div class="container container-clear container-footer">
	<?php
	//save button
	include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-settings-save-button.php";
	?>
</div>