<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container">
        <div class="row headline">
            <div class="col">
				<?php echo render_switcher_input( 'cs_plugin_activation' ); ?>
                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Enable consent', 'consent-magic' ); ?></h3>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div <?php renderCollapseTargetAttributes( 'cs_plugin_activation' ); ?>>
                    <div class="collapse-inner">
                        <div class="options-item">
							<?php echo render_switcher_input( 'cs_script_blocking_enabled' ); ?>
                            <label class="indicator-label switcher-label"><?php esc_html_e( 'Enable Script Blocking', 'consent-magic' ); ?></label>
                        </div>

                        <div>
                            <a class="link-to-nav-tab" style="margin-left: 0;"
                               href="<?php echo esc_url( get_admin_url( null, 'admin.php?page=consent-magic&tab=cs-script-blocking' ) ); ?>"><?php esc_html_e( 'View Settings', 'consent-magic' ); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container container-clear container-footer">
		<?php
		//save button
		include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-settings-save-button.php";
		?>
    </div>

    <div class="container">
        <div class="rules-title-wrap row headline">
            <div class="col-12">
                <div class="row no-gutters">
                    <div class="col">
                        <h2><?php esc_html_e( 'Rules', 'consent-magic' ); ?></h2>
                    </div>

                    <div class="col-4 right-aligned">
                        <a href="<?php echo esc_url( get_admin_url( null, 'admin.php?page=consent-magic' ) . '&new_rule' ); ?>"
                           class="btn btn-blue"><i
                                    class="icon-plus"></i> <?php esc_html_e( 'Add New Rule', 'consent-magic' ); ?></a>
                    </div>
                </div>
            </div>

            <div class="col-12">
                <span class="description_text"><?php esc_html_e( 'Drag & Drop to configure rule\'s priority', 'consent-magic' ); ?>:</span>
            </div>
        </div>

        <div class="portlet_column">
			<?php get_rules_by_meta_key( '_cs_predefined_rule' ); ?>
        </div>
    </div>
</div>