<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$unassigned = get_term_by( 'slug', 'unassigned', 'cs-cookies-category' );
$unassigned_id = $unassigned->term_id;
$options = get_cookies_terms_list( $unassigned_id );
?>

<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container">
        <ul class="cs_sub_tab cs_sub_tab__script_block">
            <li data-target="scanner-cookies-bar"><a><?php esc_html_e( 'Scanner', 'consent-magic' ); ?></a></li>
            <li data-target="pre-defined-scripts-bar">
                <a><?php esc_html_e( 'Pre-defined Scripts', 'consent-magic' ); ?></a></li>
            <li data-target="manual-cookies-bar"><a><?php esc_html_e( 'Custom Scripts', 'consent-magic' ); ?></a></li>
            <li data-target="settings-bar"><a><?php esc_html_e( 'Categories', 'consent-magic' ); ?></a></li>
            <li data-target="facebook-bar"><a><?php esc_html_e( 'Facebook', 'consent-magic' ); ?></a></li>
        </ul>

        <div class="cs_sub_tab_container" style="border: none;">
            <div class="cs_sub_tab_content" data-id="pre-defined-scripts-bar" style="display:block;">
				<?php
				//pre-defined-scripts-bar
				include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/general/script-blocking/pre-defined-scripts-bar.php";
				?>
            </div>

            <div class="cs_sub_tab_content" data-id="scanner-cookies-bar">
				<?php
				//scanner-cookies-bar
				include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/general/script-blocking/scanner-cookies-bar.php";
				?>
            </div>

            <div class="cs_sub_tab_content" data-id="manual-cookies-bar">
				<?php
				//manual-cookies-bar
				include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/general/script-blocking/manual-cookies-bar.php";
				?>
            </div>

            <div class="cs_sub_tab_content" data-id="facebook-bar">
				<?php
				//save button
				include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/general/script-blocking/facebook-bar.php";
				?>
            </div>

            <div class="cs_sub_tab_content" data-id="settings-bar">
				<?php
				//settings-bar
				include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/general/script-blocking/settings-bar.php";
				?>
            </div>
        </div>
    </div>

    <div class="container container-clear container-footer">
		<?php
		//save button
		include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-settings-save-button.php";
		?>
    </div>
</div>