<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$current_lang = get_locale();

?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container container-clear">
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3><?php esc_html_e( 'Small bar or popup', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used when "small bar" or "small popup" are selected', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_text_in_small_bar_popup',  $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_text_in_small_bar_popup', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="sub-card">
                    <div class="sub-card-header">
                        <div class="row">
                            <div class="col">
                                <h4><?php esc_html_e( 'Additional languages', 'consent-magic' ); ?></h4>
                            </div>

                            <div class="col-2 right-aligned">
                                <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                        data-option-type="0"
                                        data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                        data-key="cs_text_in_small_bar_popup"
                                        data-render="renderWpEditor">
									<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                </button>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card-body" style="display: none;">
                        <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                            <p>...</p></div>
						<?php echo render_hidden_checkbox( 'cs_text_in_small_bar_popup_language_control', 0, 'cs_input_language_control' ); ?>
                        <div class="language_list"></div>
                        <div class="add_new_lang_wrap">
                            <a class="btn btn-blue add_new_lang_action" data-render="renderWpEditor"
                               data-key="cs_text_in_small_bar_popup"
                               data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                        class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                            </a>
                            <div style="display: none" class="add_new_lang">
                                <div class="cart_line_item">
                                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_text_in_small_bar_popup', false, 'renderWpEditor', false, '250px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3><?php esc_html_e( 'Large bar or popup', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used when "large bar" or "large popup" are selected', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body" style="display: none;">
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_text_in_large_bar_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_text_in_large_bar_popup', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="sub-card">
                    <div class="sub-card-header">
                        <div class="row">
                            <div class="col">
                                <h4><?php esc_html_e( 'Additional languages', 'consent-magic' ); ?></h4>
                            </div>

                            <div class="col-2 right-aligned">
                                <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                        data-option-type="0"
                                        data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                        data-key="cs_text_in_large_bar_popup"
                                        data-render="renderWpEditor">
									<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                </button>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card-body" style="display: none;">
                        <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                            <p>...</p></div>
						<?php echo render_hidden_checkbox( 'cs_text_in_large_bar_popup_language_control', 0, 'cs_input_language_control' ); ?>
                        <div class="language_list"></div>
                        <div class="add_new_lang_wrap">
                            <a class="btn btn-blue add_new_lang_action" data-render="renderWpEditor"
                               data-key="cs_text_in_large_bar_popup"
                               data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                        class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                            </a>
                            <div style="display: none" class="add_new_lang">
                                <div class="cart_line_item">
                                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_text_in_large_bar_popup', false, 'renderWpEditor', false, '250px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3><?php esc_html_e( "Button's text", 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used on buttons on all types of bars and popups.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body" style="display: none;">
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_allow_all', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Allow all:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_allow_all', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Allow all:', 'consent-magic' ); ?></h4>
                                </div>
                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse">
                                        <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                                data-option-type="0"
                                                data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                                data-key="cs_btn_text_allow_all"
                                                data-render="renderTextInput">
											<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                        </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_allow_all_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_allow_all"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="cart_line_item row">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_allow_all', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_custom_button', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Custom button:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_custom_button', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Custom button:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_custom_button"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_custom_button_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_custom_button"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_custom_button', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_disable_all', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Disable all:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_disable_all', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Disable all:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_disable_all"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_disable_all_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_disable_all"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="cart_line_item row">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_disable_all', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_customize', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Customize:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_customize', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Customize:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_customize"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_customize_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_customize"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_customize', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_privacy_cookie', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Privacy & Cookies:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_privacy_cookie', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Privacy & Cookies:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_privacy_cookie"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_privacy_cookie_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_privacy_cookie"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_privacy_cookie', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_sticky_cookie',  $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Sticky:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_sticky_cookie', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Sticky:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_sticky_cookie"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_sticky_cookie_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_sticky_cookie"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_sticky_cookie', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3><?php esc_html_e( 'Options popups', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'Customize the content of the options popup.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
			<?php
			$attr_value = ConsentMagic()->getLangOption( 'cs_text_in_options_popup', $current_lang );
			if ( empty( $attr_value ) ) {
				$display_lang = CMPRO_DEFAULT_LANGUAGE;
			} else {
				$display_lang = $current_lang;
			}
			?>
            <div class="card-body" style="display: none;">
                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_text_in_options_popup', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Options popups:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_text_in_options_popup"
                                            data-render="renderWpEditor">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_text_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderWpEditor"
                                   data-key="cs_text_in_options_popup"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="cart_line_item">
                                        <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                            <div class="col-1 cs-delete-lang-wrap">
                                                <span class="icon-minus cs-delete-lang"></span>
                                            </div>

                                            <div class="col-11">
                                                <div class="row input_row cs_data_render">
                                                </div>
                                                <div class="row cs_data_render_buttons">
													<?php renderSelectLanguagesNew( false, 'cs_text_in_options_popup', false, 'renderWpEditor', false, '250px' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_title_in_options_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Title:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_title_in_options_popup', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Title:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_title_in_options_popup"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_title_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_title_in_options_popup"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_title_in_options_popup', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_subtitle_in_options_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Subtitle:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_subtitle_in_options_popup', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Subtitle:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_subtitle_in_options_popup"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_subtitle_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_subtitle_in_options_popup"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_subtitle_in_options_popup', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_allow_all_in_options_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Allow all:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_allow_all_in_options_popup', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Allow all:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_allow_all_in_options_popup"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_allow_all_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_allow_all_in_options_popup"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>
                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_allow_all_in_options_popup', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_allow_all_in_options_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Disable all:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_disable_all_in_options_popup', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Disable all:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_disable_all_in_options_popup"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_disable_all_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_disable_all_in_options_popup"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>
                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_disable_all_in_options_popup', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_btn_text_confirm_in_options_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Confirm my choices:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_btn_text_confirm_in_options_popup', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Confirm my choices:', 'consent-magic' ); ?></h4>
                                </div>
                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_btn_text_confirm_in_options_popup"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_btn_text_confirm_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_btn_text_confirm_in_options_popup"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_btn_text_confirm_in_options_popup', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_always_on_in_options_popup', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="cart_line_item">
                    <div class="label_row">
                        <h4><?php esc_html_e( 'Always ON:', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="input_row input_row_default">
                        <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderTextInput( 'cs_always_on_in_options_popup', null, $display_lang, false, '', 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card sub-card-inputs">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Always ON:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_always_on_in_options_popup"
                                            data-render="renderTextInput">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_always_on_in_options_popup_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderTextInput"
                                   data-key="cs_always_on_in_options_popup"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_text_input">
                                            <div class="row input_row cs_data_render">
                                            </div>
                                            <div class="row cs_data_render_buttons">
												<?php renderSelectLanguagesNew( false, 'cs_always_on_in_options_popup', false, 'renderTextInput', false, '240px' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row cs_data_render_buttons">
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>
        <!--        Accept video content text-->
        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h3><?php esc_html_e( 'Video consent message', 'consent-magic' ); ?></h3>
                        <p><?php esc_html_e( 'This text is used in video instead of video content.', 'consent-magic' ); ?></p>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Edit', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>
			<?php
			$attr_value = ConsentMagic()->getLangOption( 'cs_video_consent_general_text', $current_lang );
			if ( empty( $attr_value ) ) {
				$display_lang = CMPRO_DEFAULT_LANGUAGE;
			} else {
				$display_lang = $current_lang;
			}
			?>
            <div class="card-body" style="display: none;">
                <div class="label_row">
                    <h4><?php esc_html_e( 'General text', 'consent-magic' ); ?></h4>
                </div>

                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_video_consent_general_text', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for General text:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_video_consent_general_text"
                                            data-render="renderWpEditor">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_video_consent_general_text_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderWpEditor"
                                   data-key="cs_video_consent_general_text"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_editor">
                                            <div class="col-12">
                                                <div class="row input_row cs_data_render">
                                                </div>
                                                <div class="row cs_data_render_buttons">
													<?php renderSelectLanguagesNew( false, 'cs_video_consent_general_text', false, 'renderWpEditor', false, '250px' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php
				$attr_value = ConsentMagic()->getLangOption( 'cs_video_consent_rule_text', $current_lang );
				if ( empty( $attr_value ) ) {
					$display_lang = CMPRO_DEFAULT_LANGUAGE;
				} else {
					$display_lang = $current_lang;
				}
				?>
                <div class="label_row">
                    <h4><?php esc_html_e( 'Rule text', 'consent-magic' ); ?></h4>
                </div>

                <div class="cart_line_item input_row_default">
                    <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                        <div class="col-12">
                            <div class="row input_row cs_data_render">
                                <div class="cs_data_render_wrap">
									<?php renderWpEditor( 'cs_video_consent_rule_text', $display_lang, 'js-control-element' ); ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="sub-card">
                        <div class="sub-card-header">
                            <div class="row">
                                <div class="col">
                                    <h4><?php esc_html_e( 'Additional languages for Rule text:', 'consent-magic' ); ?></h4>
                                </div>

                                <div class="col-2 right-aligned">
                                    <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                            data-option-type="0"
                                            data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                            data-key="cs_video_consent_rule_text"
                                            data-render="renderWpEditor">
										<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="sub-card-body" style="display: none;">
                            <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                <p>...</p>
                            </div>
							<?php echo render_hidden_checkbox( 'cs_video_consent_rule_text_language_control', 0, 'cs_input_language_control' ); ?>
                            <div class="language_list"></div>
                            <div class="add_new_lang_wrap">
                                <a class="btn btn-blue add_new_lang_action" data-render="renderWpEditor"
                                   data-key="cs_video_consent_rule_text"
                                   data-plugin-name="<?php echo ConsentMagic()->get_plugin_name(); ?>"><i
                                            class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                </a>
                                <div style="display: none" class="add_new_lang">
                                    <div class="row cart_line_item">
                                        <div class="col-1 cs-delete-lang-wrap">
                                            <span class="icon-minus cs-delete-lang"></span>
                                        </div>

                                        <div class="col-11 row cs_data_render_wrap cs_data_render_wrap_editor">
                                            <div class="col-12">
                                                <div class="row input_row cs_data_render">
                                                </div>
                                                <div class="row cs_data_render_buttons">
													<?php renderSelectLanguagesNew( false, 'cs_video_consent_rule_text', false, 'renderWpEditor', false, '250px' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div>
                    <button type="button" name="update_admin_settings_form"
                            onClick="return cs_store_settings_btn_click(this.name)"
                            class="btn btn-blue btn-right btn_single_save">
                        <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>