<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$options = get_cookies_terms_list();

?>
<div class="cs-tab-content" style="display: block;">
    <form method="post" action="<?php echo get_admin_url() . 'admin.php?page=consent-magic'; ?>" id="cs_cookie_form"
          class="container">
        <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>
        <div class="cs-tab-container">

            <div class="container container-clear no-padding">
                <div class="headline">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h2 class="wp-heading-inline"><?php esc_html_e( 'New Cookie:', 'consent-magic' ); ?></h2>
                        </div>
                        <div class="col-4">
                            <select class="form-control-sm" id="add_new_cookie_select"
                                    name="cs[consent-magic][add_new_cookie_select]" autocomplete="off"
                                    style="width: 100%;">
								<?php foreach ( $options as $option_key => $option_value ) : ?>
                                    <option value="<?php echo esc_attr( $option_key ); ?>"><?php echo esc_attr( $option_value ); ?></option>
								<?php endforeach; ?>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="full-width-input list-item">
                    <h3><?php esc_html_e( 'Name your cookie:', 'consent-magic' ); ?></h3>
                    <div>
						<?php renderTextInput( 'cs_default_cookie_name', null, false, '', 'js-control-element', 'required' ); ?>
                    </div>
                </div>

                <div class="full-width-input list-item">
                    <h3><?php esc_html_e( 'Your cookie description:', 'consent-magic' ); ?></h3>
                    <div>
						<?php renderWpEditor( 'cs_default_cookie_desc', 'js-control-element' ); ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="right-aligned">
			<?php
			//save button
			include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-cookie-add-button.php";
			?>
        </div>
    </form>
</div>