<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$options = get_cookies_terms_list();

?>
<div class="cs-tab-content" style="display: block;">
    <form method="post" action="<?php echo get_admin_url() . 'admin.php?page=consent-magic'; ?>" id="cs_cookie_form"
          class="container">
        <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>
        <input type="hidden" name="cs[consent-magic][cs_cookie_id]" value="<?php echo esc_attr( $id ); ?>"
               id="cs_cookie_id"/>
        <div class="cs-tab-container">

            <div class="container container-clear no-padding">
                <div class="headline">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h2 class="wp-heading-inline"><?php esc_html_e( 'Edit Cookie:', 'consent-magic' ); ?></h2>
                        </div>
                        <div class="col-4">
							<?php renderSelectInput( 'cs_' . $id . '_cookie_cat', $options, true ); ?>
                        </div>
                    </div>
                </div>

                <div class="full-width-input list-item">
                    <h3><?php esc_html_e( 'Name your cookie:', 'consent-magic' ); ?></h3>
                    <div>
                        <input type="text" name="cs[consent-magic][cs_post_name]" id="cs_post_name"
                               class="form-control js-control-element"
                               value="<?php echo esc_attr( get_the_title( $id ) ); ?>" disabled="disabled"/>
                    </div>
                </div>

                <div class="full-width-input list-item">
                    <h3><?php esc_html_e( 'Your cookie description:', 'consent-magic' ); ?></h3>
                    <div>
						<?php renderWpEditor( 'cs_default_cookie_desc', 'js-control-element', true, $id ); ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="right-aligned">
			<?php
			//save button
			include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-cookie-save-button.php";
			?>
        </div>
    </form>
</div>