<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>
<div class="container container-clear">

    <div class="headline">
        <div class="row align-items-center">
            <div class="col-2">
                <h2><?php esc_html_e( 'Adjust sizes', 'consent-magic' ); ?></h2>
            </div>
            <div class="col right-aligned">
                <button type="button" class="btn btn-blue btn_restore_adjust" style="margin-right: 13px;">
                    <i class="icon-restore"></i> <?php esc_html_e( 'Restore defaults', 'consent-magic' ); ?>
                </button>
                <button type="submit" name="update_admin_settings_form" class="btn btn-blue"
                        onClick="return cs_store_settings_btn_click(this.name)">
                    <i class="icon-save"></i> <?php esc_html_e( 'Save settings', 'consent-magic' ); ?>
                </button>
            </div>
        </div>
    </div>

    <div class="adjust_actions_btns" style="margin-bottom: 40px;">
		<?php
		//save button
		include_once CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-adjust-save-button.php";
		?>
    </div>

    <div class="card bottom-border-row cs_wrap_type bar_small">
        <div class="card-header">
            <div class="row">
                <div class="col">
                    <h3><?php esc_html_e( 'Small bar:', 'consent-magic' ); ?></h3>
                </div>
                <div class="col-2 right-aligned">
                    <button type="button" class="btn btn-link card-collapse">
                        <i class="icon-up-arrow"></i>
                    </button>
                </div>
            </div>
        </div>

        <div class="card-body" style="display: none;">
            <div class="cs_options_block headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Minimum height:', 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_min_height', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding top:', 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_padding_top', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding bottom:', 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_padding_bottom', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding left:', 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_padding_left', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding right:', 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_padding_right', '', '', true ); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font size:', 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">

                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font weight:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_sb_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="cs_options_block adjust-bar">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding top:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_pd_t', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding bottom:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_pd_bt', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding right:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_pd_r', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding left:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_pd_l', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin top:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_mg_t', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin bottom:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_mg_bt', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin right:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_mg_r', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin left:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_mg_l', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's font size:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sb_btn_font_size', '', '', true ); ?>
                        </div>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's font weight:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_sb_btn_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card bottom-border-row cs_wrap_type bar_large">
        <div class="card-header">
            <div class="row">
                <div class="col">
                    <h3><?php esc_html_e( 'Large bar', 'consent-magic' ); ?></h3>
                </div>

                <div class="col-2 right-aligned">
                    <button type="button" class="btn btn-link card-collapse">
                        <i class="icon-up-arrow"></i>
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body" style="display: none;">
            <div class="cs_options_block headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Minimum height:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_min_height', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding top:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_padding_top', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding bottom:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_padding_bottom', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding left:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_padding_left', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding right:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_padding_right', '', '', true ); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font size:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font weight:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_lb_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="cs_options_block adjust-bar">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding top:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_pd_t', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding bottom:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_pd_bt', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding right:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_pd_r', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's padding left:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_pd_l', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin top:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_mg_t', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin bottom:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_mg_bt', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin right:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_mg_r', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's margin left:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_mg_l', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's font size:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lb_btn_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Button's font weight:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_lb_btn_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card bottom-border-row cs_wrap_type popup_small">
        <div class="card-header">
            <div class="row">
                <div class="col">
                    <h3><?php esc_html_e( 'Small popup', 'consent-magic' ); ?></h3>
                </div>

                <div class="col-2 right-aligned">
                    <button type="button" class="btn btn-link card-collapse">
                        <i class="icon-up-arrow"></i>
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body" style="display: none;">
            <div class="cs_options_block headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Minimum height:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sp_min_height', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding top:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sp_padding_top', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding bottom:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sp_padding_bottom', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding left:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sp_padding_left', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding right:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sp_padding_right', '', '', true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font size:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_sp_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font weight:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_sp_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar">
                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding top:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_pd_t', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding bottom:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_pd_bt', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding right:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_pd_r', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding left:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_pd_l', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin top:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_mg_r', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin bottom:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_mg_bt', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin right:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_mg_r', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin left:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_mg_l', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's font size:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_sp_btn_font_size', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's font weight:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php renderSelectInput( 'cs_d_sp_btn_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card bottom-border-row cs_wrap_type popup_large">
        <div class="card-header">
            <div class="row">
                <div class="col">
                    <h3><?php esc_html_e( 'Large popup', 'consent-magic' ); ?></h3>
                </div>

                <div class="col-2 right-aligned">
                    <button type="button" class="btn btn-link card-collapse">
                        <i class="icon-up-arrow"></i>
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body" style="display: none;">
            <div class="cs_options_block headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Minimum height:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lp_min_height', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding top:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lp_padding_top', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding bottom:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lp_padding_bottom', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding left:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lp_padding_left', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding right:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lp_padding_right', '', '', true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font size:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_lp_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font weight:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_lp_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar">
                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding top:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_pd_t', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding bottom:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_pd_bt', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding right:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_pd_r', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding left:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_pd_l', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin top:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_mg_t', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin bottom:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_mg_bt', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin right:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_mg_r', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin left:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_mg_l', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's font size:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_lp_btn_font_size', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's font weight:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php renderSelectInput( 'cs_d_lp_btn_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card bottom-border-row cs_wrap_type options_popup">
        <div class="card-header">
            <div class="row">
                <div class="col">
                    <h3><?php esc_html_e( 'Options popup', 'consent-magic' ); ?></h3>
                </div>

                <div class="col-2 right-aligned">
                    <button type="button" class="btn btn-link card-collapse">
                        <i class="icon-up-arrow"></i>
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body" style="display: none;">
            <div class="cs_options_block headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Minimum height:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_min_height', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding top:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_padding_top', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding bottom:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_padding_bottom', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding left:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_padding_left', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding right:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_padding_right', '', '', true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font size:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font weight:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_op_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Title's Font size:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_titles_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Title's Font weight:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_op_titles_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Subtitle's Font size:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_op_subtitles_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Subtitle's Font weight", 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_op_subtitles_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar">
                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding top:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_pd_t', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding bottom:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_pd_bt', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding right:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_pd_r', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's padding left:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_pd_l', '', '', true ); ?>
                    </div>
                </div>
                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin top:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_mg_t', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin bottom:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_mg_bt', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin right:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_mg_r', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's margin left:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_mg_l', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's font size:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php render_number_input( 'cs_d_op_btn_font_size', '', '', true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Button's font weight:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php renderSelectInput( 'cs_d_op_btn_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card bottom-border-row cs_wrap_type sticky_popup">
        <div class="card-header">
            <div class="row">
                <div class="col">
                    <h3><?php esc_html_e( 'Sticky popup', 'consent-magic' ); ?></h3>
                </div>

                <div class="col-2 right-aligned">
                    <button type="button" class="btn btn-link card-collapse">
                        <i class="icon-up-arrow"></i>
                    </button>
                </div>
            </div>
        </div>

        <div class="card-body" style="display: none;">
            <div class="cs_options_block headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Minimum height:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_stp_min_height', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding top:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_stp_padding_top', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding bottom:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_stp_padding_bottom', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding left:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_stp_padding_left', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Padding right:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_stp_padding_right', '', '', true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block adjust-bar headline">
                <div>
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font size:', 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php render_number_input( 'cs_d_stp_font_size', '', '', true ); ?>
                        </div>
                    </div>

                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( 'Font weight:', 'consent-magic' ); ?></label>
                        </div>
                        <div class="col-5 right-aligned">
							<?php renderSelectInput( 'cs_d_stp_font_weight', ConsentMagic()->getOption( 'cs_font_weight_list' ), false, true ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="cs_options_block">
                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( 'Sticky popup desktop position:', 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php renderSelectInput( 'cs_d_stp_desktop_position', ConsentMagic()->getOption( 'cs_sticky_position_list' ), false, true ); ?>
                    </div>
                </div>

                <div class="row align-items-center">
                    <div class="col-7">
                        <label class="switcher-label"><?php esc_html_e( "Sticky vertical position:", 'consent-magic' ); ?></label>
                    </div>

                    <div class="col-5 right-aligned">
						<?php renderSelectInput( 'cs_d_stp_sticky_position_vertical', ConsentMagic()->getOption( 'cs_sticky_position_vertical_list' ), false, true ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="adjust_actions_btns" style="margin: 40px 0;">
		<?php
		//save button
		include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-adjust-save-button.php";
		?>
    </div>

</div>

<button type="button" class="btn btn-blue btn_restore_adjust" style="margin-right: 13px;">
    <i class="icon-restore"></i> <?php esc_html_e( 'Restore defaults', 'consent-magic' ); ?>
</button>
<button type="submit" name="update_admin_settings_form" class="btn btn-blue"
        onClick="return cs_store_settings_btn_click(this.name)">
    <i class="icon-save"></i> <?php esc_html_e( 'Save settings', 'consent-magic' ); ?>
</button>