<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>

<div class="cs-tab-content" style="display: block;">
    <form method="post" action="<?php echo get_admin_url() . 'admin.php?page=consent-magic'; ?>" id="cs_design_form"
          class="container">
        <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>
        <input type="hidden" name="cs[consent-magic][cs_template_id]" value="<?php echo esc_attr( $id ); ?>"
               id="cs_template_id"/>
		<?php
		// Set nonce:
		if ( function_exists( 'wp_nonce_field' ) ) {
			wp_nonce_field( 'cs-update-' . CMPRO_SETTINGS_FIELD );
		} ?>
        <div class="cs-tab-container">
            <div class="container container-clear no-padding">
                <div class="headline">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h2 class="wp-heading-inline"><?php esc_html_e( 'Edit Template:', 'consent-magic' ); ?></h2>
                        </div>

                        <div class="col-4 right-aligned">
							<?php
							//save button
							include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-design-update-button.php";
							?>
                        </div>
                    </div>
                </div>

                <div class="row align-items-center full-width-input list-item">
                    <div class="col">
                        <h3><?php esc_html_e( 'Name your template:', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-9">
                        <input type="text" name="cs[consent-magic][cs_post_name]" id="cs_post_name"
                               class="form-control js-control-element"
                               value="<?php echo esc_attr( get_the_title( $id ) ); ?>"/>
                    </div>
                </div>

                <div class="row align-items-center list-item">
                    <div class="col">
                        <h3><?php esc_html_e( 'Preview:', 'consent-magic' ); ?></h3>
                    </div>

                    <div class="col-9 preview_container cs_preview_container preview_container_buttons">
                        <button type="button" class="btn btn-link preview_color_btn"
                                data-template="bar_small"><?php esc_html_e( 'Small bar', 'consent-magic' ); ?></button>
                        <button type="button" class="btn btn-link preview_color_btn"
                                data-template="bar_large"><?php esc_html_e( 'Large bar', 'consent-magic' ); ?></button>
                        <button type="button" class="btn btn-link preview_color_btn"
                                data-template="popup_small"><?php esc_html_e( 'Small popup', 'consent-magic' ); ?></button>
                        <button type="button" class="btn btn-link preview_color_btn"
                                data-template="popup_large"><?php esc_html_e( 'Large popup', 'consent-magic' ); ?></button>
                        <div class="preview_wrap"></div>
                    </div>
                </div>
            </div>

            <div class="card cs_wrap_type headline full-width-select">
                <div>
                    <h3><?php esc_html_e( 'Template Settings', 'consent-magic' ); ?></h3>
                </div>

                <div class="headline">
                    <div class="cs_options_block big">
                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( 'Backend color:', 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_backend_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( 'Border style:', 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderSelectInput_meta( 'cs_border_style', $id, $border_style, false, true ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( 'Border weight:', 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php render_number_input( 'cs_border_weight', '', false, false, true, $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( 'Border color:', 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_border_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( 'Text color:', 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_text_color', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Link's color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_links_color', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Title's text color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_titles_text_color', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Subtitle's text color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_subtitles_text_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col">
                                <label class="switcher-label"><?php esc_html_e( "Accept all button's background:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-4 right-aligned">
								<?php renderColorPickerInput( 'cs_accept_all_buttons_bg', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col">
                                <label class="switcher-label"><?php esc_html_e( "Accept all button's text color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-4 right-aligned">
								<?php renderColorPickerInput( 'cs_accept_all_buttons_text_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col">
                                <label class="switcher-label"><?php esc_html_e( "Custom button button's background:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-4 right-aligned">
								<?php renderColorPickerInput( 'cs_custom_button_buttons_bg', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col">
                                <label class="switcher-label"><?php esc_html_e( "Custom button button's text color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-4 right-aligned">
								<?php renderColorPickerInput( 'cs_custom_button_buttons_text_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Deny all button's background:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_deny_all_buttons_bg', $id ); ?>
                            </div>
                        </div>
                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Deny all button's text color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_deny_all_buttons_text_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Options button's background:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_options_buttons_bg', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Options button's text color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_options_buttons_text_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col">
                                <label class="switcher-label"><?php esc_html_e( "Confirm choices button's background:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-4 right-aligned">
								<?php renderColorPickerInput( 'cs_confirm_buttons_bg', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col">
                                <label class="switcher-label"><?php esc_html_e( "Confirm choices button's text color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-4 right-aligned">
								<?php renderColorPickerInput( 'cs_confirm_buttons_text_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Sticky background:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_sticky_bg', $id ); ?>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Sticky link color:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderColorPickerInput( 'cs_sticky_link_color', $id ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="headline">
                    <div class="cs_options_block no-floating big">
                        <div class="row">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Logo:", 'consent-magic' ); ?></label>
                            </div>
							<?php renderUploadBtn( $id, 'cs_logo' ); ?>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Logo position:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
                                <div style="margin: 0 0 15px;">
									<?php renderSelectInput_meta( 'cs_position_vertical_list', $id, ConsentMagic()->getOption( 'cs_position_vertical_list' ), false, true ); ?>
                                </div>

                                <div>
									<?php renderSelectInput_meta( 'cs_position_horizontal_list', $id, ConsentMagic()->getOption( 'cs_position_horizontal_list' ), false, true ); ?>
                                </div>
                            </div>
                        </div>

                        <div class="row align-items-center">
                            <div class="col-7">
                                <label class="switcher-label"><?php esc_html_e( "Logo size:", 'consent-magic' ); ?></label>
                            </div>

                            <div class="col-5 right-aligned">
								<?php renderSelectInput_meta( 'cs_logo_size', $id, $img_sizes_array, false, true ); ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="cs_options_block no-floating big">
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Category color:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderColorPickerInput( 'cs_cat_color', $id ); ?>
                        </div>
                    </div>
                </div>

                <div class="cs_options_block no-floating big">
                    <div class="row align-items-center">
                        <div class="col-7">
                            <label class="switcher-label"><?php esc_html_e( "Active toggle color:", 'consent-magic' ); ?></label>
                        </div>

                        <div class="col-5 right-aligned">
							<?php renderColorPickerInput( 'cs_active_toggle_color', $id ); ?>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row align-items-center list-item">
                <div class="col-12">
                    <h4><?php esc_html_e( 'Preview:', 'consent-magic' ); ?></h4>
                </div>

                <div class="col-12 preview_container cs_preview_container preview_container_buttons">
                    <button type="button" class="btn btn-link preview_color_btn"
                            data-template="bar_small"><?php esc_html_e( 'Small bar', 'consent-magic' ); ?></button>
                    <button type="button" class="btn btn-link preview_color_btn"
                            data-template="bar_large"><?php esc_html_e( 'Large bar', 'consent-magic' ); ?></button>
                    <button type="button" class="btn btn-link preview_color_btn"
                            data-template="popup_small"><?php esc_html_e( 'Small popup', 'consent-magic' ); ?></button>
                    <button type="button" class="btn btn-link preview_color_btn"
                            data-template="popup_large"><?php esc_html_e( 'Large popup', 'consent-magic' ); ?></button>
                    <div class="preview_wrap"></div>
                </div>
            </div>
        </div>
		<?php
		//save button
		include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-design-update-button.php";
		?>
    </form>

</div>
