<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>

<div class="wrap">
    <h2 class="wp-heading-inline"><?php esc_html_e( 'ConsentMagic PRO', 'consent-magic' ); ?></h2>
    <div class="nav-tab-wrapper wp-clearfix cs-tab-head">

		<?php
		$tab_head_arr = array(
			'cs-general'         => esc_html__( 'Main', 'consent-magic' ),
			//no need to add translation here
			'cs-script-blocking' => esc_html__( 'Scripts and Cookies', 'consent-magic' ),
			'cs-policy-gen'      => esc_html__( 'Privacy Policy', 'consent-magic' ),
			'cs-text'            => esc_html__( 'Text', 'consent-magic' ),
			'cs-design'          => esc_html__( 'Design', 'consent-magic' )
		);

		generate_settings_tabhead( $tab_head_arr );
		?>
    </div>

    <div class="cs-tab-container">
		<?php
		//inside the settings form
		$setting_views_a = array(
			'cs-general'         => 'admin-settings-general.php',
			'cs-script-blocking' => 'admin-settings-script-blocking.php',
			'cs-policy-gen'      => 'admin-settings-policy-gen.php',
			'cs-text'            => 'admin-settings-text.php',
			'cs-design'          => 'admin-settings-design.php',
		);
		?>

        <form method="post" action="<?php echo get_admin_url( null, 'admin.php?page=consent-magic' ); ?>"
              id="cs_settings_form">
            <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>

			<?php
			// Set nonce:
			if ( function_exists( 'wp_nonce_field' ) ) {
				wp_nonce_field( 'cs-update-' . CMPRO_SETTINGS_FIELD );
			}
			foreach ( $setting_views_a as $target_id => $value ) {
				$settings_view = CMPRO_PLUGIN_VIEWS_PATH . '/admin/general/' . $value;

				if ( file_exists( $settings_view ) && getCurrentAdminTab() == $target_id ) {
					include $settings_view;
				}
			}
			?>
			<?php
			//settings form fields for module
			do_action( 'cs_module_settings_form' ); ?>
        </form>
    </div>
</div>