<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$current_lang = get_locale();

?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container container-clear <?php echo isPYSActivated() ? '' : 'container-pro mg-lr-40 pd-40 mg-b-40'; ?>">
        <div class="pixel_detected integration_wrap">
            <div class="headline">
                <div>
                    <h2><?php esc_html_e( 'PixelYourSite', 'consent-magic' ); ?></h2>
                    <p><?php echo isPYSActivated() ? esc_html__( 'Active - we detected that you use the PixelYourSite plugin.', 'consent-magic' ) : esc_html__( 'Not active', 'consent-magic' ); ?></p>
                    <p><?php esc_html_e( 'Learn how Facebook Conversion API and Advance Matching work:', 'consent-magic' ); ?>
                        <a href="https://www.youtube.com/watch?v=PsKdCkKNeLU"
                           target="_blank"><?php esc_html_e( 'watch video', 'consent-magic' ); ?></a></p>
                </div>
            </div>

            <div class="custom-switch__parent_wrap">
                <div class="row">
                    <div class="col-1" style="max-width: 60px;">
						<?php echo render_switcher_input( 'cs_advanced_matching_consent_enabled' ); ?>
                    </div>

                    <div class="col">
                        <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Advanced Matching Consent in the Options Popup', 'consent-magic' ); ?></h4>
                        <p>
							<?php esc_html_e( 'If you enable this option, the user will have a dedicated Advanced Matching opt-in. This will control the Advanced Matching data sent by the PixelYourSite plugin. It has no effect on the Advanced Matching data automatically collected by the Facebook Pixel.', 'consent-magic' ); ?>
                        </p>
                        <p><?php esc_html_e( 'Description (used in the Options pop-up):', 'consent-magic' ); ?></p>

                        <div class="card-body">
							<?php
							$attr_value = ConsentMagic()->getLangOption( 'cs_advanced_matching_description', $current_lang );
							if ( $attr_value == false || empty( $attr_value ) ) {
								$display_lang = CMPRO_DEFAULT_LANGUAGE;
							} else {
								$display_lang = $current_lang;
							}
							?>
                            <div class="cart_line_item input_row_default">
                                <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                    <div class="col-12" style="margin-top: 20px;">
                                        <div class="row input_row cs_data_render">
                                            <div class="cs_data_render_wrap">
												<?php renderWpEditor( 'cs_advanced_matching_description', $display_lang, 'js-control-element' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="sub-card">
                                <div class="sub-card-header">
                                    <div class="row">
                                        <div class="col">
                                            <h4><?php esc_html_e( 'Additional languages', 'consent-magic' ); ?></h4>
                                        </div>

                                        <div class="col-2 right-aligned">
                                            <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                                    data-option-type="0"
                                                    data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                                    data-key="cs_advanced_matching_description"
                                                    data-render="renderWpEditor">
												<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i
                                                        class="icon-down"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <div class="sub-card-body" style="display: none;">
                                    <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                        <p>
                                            ...</p></div>
									<?php echo render_hidden_checkbox( 'cs_advanced_matching_description_language_control', 0, 'cs_input_language_control' ); ?>
                                    <div class="language_list"></div>
                                    <div class="add_new_lang_wrap">
                                        <a class="btn btn-blue add_new_lang_action"
                                           data-render="renderWpEditor"
                                           data-key="cs_advanced_matching_description"
                                           data-plugin-name="<?php echo esc_attr( ConsentMagic()->get_plugin_name() ); ?>"><i
                                                    class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                        </a>
                                        <div style="display: none" class="add_new_lang">
                                            <div class="cart_line_item">
                                                <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                                    <div class="col-1 cs-delete-lang-wrap">
                                                        <span class="icon-minus cs-delete-lang"></span>
                                                    </div>

                                                    <div class="col-11">
                                                        <div class="row input_row cs_data_render">
                                                        </div>
                                                        <div class="row cs_data_render_buttons">
															<?php renderSelectLanguagesNew( false, 'cs_advanced_matching_description', false, 'renderWpEditor', false, '250px' ); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row cs_data_render_buttons">
                                <button type="button" name="update_admin_settings_form"
                                        onClick="return cs_store_settings_btn_click(this.name)"
                                        class="btn btn-blue btn-right btn_single_save">
                                    <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="custom-switch__parent_wrap">
                <div class="row">
                    <div class="col-1" style="max-width: 60px;">
						<?php echo render_switcher_input( 'cs_server_side_consent_enabled' ); ?>
                    </div>

                    <div class="col">
                        <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Conversion API (CAPI) Consent in the Options Popup', 'consent-magic' ); ?></h4>
                        <p>
							<?php esc_html_e( 'If you enable this option, the user will see a dedicated Conversion API category in the Options Popup.', 'consent-magic' ); ?>
                        </p>
                        <p><?php esc_html_e( 'Description (used in the Options pop-up):', 'consent-magic' ); ?></p>
						<?php
						$attr_value = ConsentMagic()->getLangOption( 'cs_server_side_consent_description', $current_lang );
						if ( $attr_value == false || empty( $attr_value ) ) {
							$display_lang = CMPRO_DEFAULT_LANGUAGE;
						} else {
							$display_lang = $current_lang;
						}
						?>
                        <div class="card-body">
                            <div class="cart_line_item input_row_default">
                                <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                    <div class="col-12" style="margin-top: 20px;">
                                        <div class="row input_row cs_data_render">
                                            <div class="cs_data_render_wrap">
												<?php renderWpEditor( 'cs_server_side_consent_description', $display_lang, 'js-control-element' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="sub-card">
                                <div class="sub-card-header">
                                    <div class="row">
                                        <div class="col">
                                            <h4><?php esc_html_e( 'Additional languages', 'consent-magic' ); ?></h4>
                                        </div>

                                        <div class="col-2 right-aligned">
                                            <button type="button" class="btn btn-link sub-card-collapse cs_load_langs"
                                                    data-option-type="0"
                                                    data-current-lang="<?php echo esc_attr( $display_lang ); ?>"
                                                    data-key="cs_server_side_consent_description"
                                                    data-render="renderWpEditor">
												<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i
                                                        class="icon-down"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <div class="sub-card-body" style="display: none;">
                                    <div class="cs_lang_loading"><?php echo esc_html__( 'Loading languages', 'consent-magic' ); ?>
                                        <p>
                                            ...</p></div>
									<?php echo render_hidden_checkbox( 'cs_server_side_consent_description_language_control', 0, 'cs_input_language_control' ); ?>
                                    <div class="language_list"></div>
                                    <div class="add_new_lang_wrap">
                                        <a class="btn btn-blue add_new_lang_action" data-render="renderWpEditor"
                                           data-key="cs_server_side_consent_description"
                                           data-plugin-name="<?php echo esc_attr( ConsentMagic()->get_plugin_name() ); ?>"><i
                                                    class="icon-plus"></i> <?php esc_html_e( 'Add New Language', 'consent-magic' ); ?>
                                        </a>
                                        <div style="display: none" class="add_new_lang">
                                            <div class="cart_line_item">
                                                <div class="row cs_data_render_wrap cs_data_render_wrap_editor">
                                                    <div class="col-1 cs-delete-lang-wrap">
                                                        <span class="icon-minus cs-delete-lang"></span>
                                                    </div>

                                                    <div class="col-11">
                                                        <div class="row input_row cs_data_render">
                                                        </div>
                                                        <div class="row cs_data_render_buttons">
															<?php renderSelectLanguagesNew( false, 'cs_server_side_consent_description', false, 'renderWpEditor', false, '250px' ); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row cs_data_render_buttons">
                                <button type="button" name="update_admin_settings_form"
                                        onClick="return cs_store_settings_btn_click(this.name)"
                                        class="btn btn-blue btn-right btn_single_save">
                                    <i class="icon-save"></i> <?php esc_html_e( 'Save', 'consent-magic' ); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <span>*<?php esc_html_e( 'The Facebook Pixel will always follow the consent given for its category. These options just add an extra layer of informed consent.', 'consent-magic' ); ?></span>
        </div>
    </div>
</div>