<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>

<div class="container no-padding headline">
    <div class="row">
        <div class="col">
			<?php echo render_switcher_input( 'cs_block_manually_added_cookies' ); ?>
            <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Block manually added scripts', 'consent-magic' ); ?></h3>
            <p style="margin-top: 10px;"><?php esc_html_e( 'Learn how to add custom scripts:', 'consent-magic' ); ?> <a
                        href="https://www.youtube.com/watch?v=V9Q0bcIvlDw"
                        target="_blank"><?php esc_html_e( 'watch video', 'consent-magic' ); ?></a></p>
        </div>
        <div class="col-5 right-aligned">
            <a href="<?php echo esc_url( get_admin_url( null, 'admin.php?page=consent-magic' ) . '&new_script' ); ?>"
               class="btn btn-blue"><i class="icon-plus"></i> <?php esc_html_e( 'Add script', 'consent-magic' ); ?></a>
        </div>
    </div>
</div>

<div class="container no-padding headline" style="margin-bottom: 25px;">
    <div>
        <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Manually added scripts', 'consent-magic' ); ?></h3>
    </div>

    <table id="manual_added_scripts" class="display" style="width:100%;">
        <thead>
        <tr>
            <th></th>
            <th><?php esc_html_e( 'Script name', 'consent-magic' ); ?></th>
            <th><?php esc_html_e( 'Action buttons', 'consent-magic' ); ?></th>
            <th><?php esc_html_e( 'Script category', 'consent-magic' ); ?></th>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th></th>
            <th><?php esc_html_e( 'Script name', 'consent-magic' ); ?></th>
            <th><?php esc_html_e( 'Action buttons', 'consent-magic' ); ?></th>
            <th><?php esc_html_e( 'Script category', 'consent-magic' ); ?></th>
        </tr>
        </tfoot>
    </table>
</div>