<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="container no-gutters no-padding">
    <div class="row headline">
        <div class="col">
			<?php echo render_switcher_input( 'cs_block_pre_defined_scripts' ); ?>
            <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Block pre-defined scripts', 'consent-magic' ); ?></h3>
        </div>
    </div>
</div>

<div class="container no-gutters no-padding">

	<?php if ( ConsentMagic()->getOption( 'cs_google_consent_mode' ) ) : ?>

        <div class="row scripts-list-item align-items-center">
            <div class="col-2">
                <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
            </div>

            <div class="col-5">
				<?php echo render_switcher_input( 'cs_block_ad_storage_scripts' ); ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google ad_storage', 'consent-magic' ); ?></h4>
            </div>

            <div class="col-5 right-aligned">
				<?php renderSelectInput( 'cs_block_ad_storage_scripts_cat', $options, true ); ?>
            </div>

            <div class="col-12 details-col" style="display: none;">
                <div class="row align-items-center" style="margin-top: 15px;">
                    <div class="col" style="padding-right: 15px;">
						<?php renderTextarea( 'cs_block_ad_storage_scripts_descr', '', '', true ); ?>
                    </div>
                    <div class="col-3">
                        <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                    </div>
                </div>
            </div>
        </div>

        <div class="row scripts-list-item align-items-center">
            <div class="col-2">
                <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
            </div>

            <div class="col-5">
				<?php echo render_switcher_input( 'cs_block_analytics_storage_scripts' ); ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google analytics_storage', 'consent-magic' ); ?></h4>
            </div>

            <div class="col-5 right-aligned">
				<?php renderSelectInput( 'cs_block_analytics_storage_scripts_cat', $options, true ); ?>
            </div>

            <div class="col-12 details-col" style="display: none;">
                <div class="row align-items-center" style="margin-top: 15px;">
                    <div class="col" style="padding-right: 15px;">
						<?php renderTextarea( 'cs_block_analytics_storage_scripts_descr', '', '', true ); ?>
                    </div>
                    <div class="col-3">
                        <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                    </div>
                </div>
            </div>
        </div>

        <div class="row scripts-list-item align-items-center">
            <div class="col-2">
                <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
            </div>

            <div class="col-5">
				<?php echo render_switcher_input( 'cs_block_ad_user_data_scripts' ); ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google ad_user_data', 'consent-magic' ); ?></h4>
            </div>

            <div class="col-5 right-aligned">
				<?php renderSelectInput( 'cs_block_ad_user_data_scripts_cat', $options, true ); ?>
            </div>

            <div class="col-12 details-col" style="display: none;">
                <div class="row align-items-center" style="margin-top: 15px;">
                    <div class="col" style="padding-right: 15px;">
						<?php renderTextarea( 'cs_block_ad_user_data_scripts_descr', '', '', true ); ?>
                    </div>
                    <div class="col-3">
                        <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                    </div>
                </div>
            </div>
        </div>

        <div class="row scripts-list-item align-items-center">
            <div class="col-2">
                <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
            </div>

            <div class="col-5">
				<?php echo render_switcher_input( 'cs_block_ad_personalization_scripts' ); ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google ad_personalization', 'consent-magic' ); ?></h4>
            </div>

            <div class="col-5 right-aligned">
				<?php renderSelectInput( 'cs_block_ad_personalization_scripts_cat', $options, true ); ?>
            </div>

            <div class="col-12 details-col" style="display: none;">
                <div class="row align-items-center" style="margin-top: 15px;">
                    <div class="col" style="padding-right: 15px;">
						<?php renderTextarea( 'cs_block_ad_personalization_scripts_descr', '', '', true ); ?>
                    </div>
                    <div class="col-3">
                        <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                    </div>
                </div>
            </div>
        </div>

	<?php else: ?>

        <div class="row scripts-list-item align-items-center">
            <div class="col-2">
                <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
            </div>

            <div class="col-5">
				<?php echo render_switcher_input( 'cs_block_google_analytics_scripts' ); ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google Analytics', 'consent-magic' ); ?></h4>
            </div>

            <div class="col-5 right-aligned">
				<?php renderSelectInput( 'cs_block_google_analytics_scripts_cat', $options, true, false ); ?>
            </div>

            <div class="col-12 details-col" style="display: none;">
                <div class="row align-items-center" style="margin-top: 15px;">
                    <div class="col" style="padding-right: 15px;">
						<?php renderTextarea( 'cs_block_google_analytics_scripts_descr', '', '', true ); ?>
                    </div>
                    <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"
                          data-id="2166"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                    </div>
                </div>
            </div>
        </div>

        <div class="row scripts-list-item align-items-center">
            <div class="col-2">
                <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
            </div>

            <div class="col-5">
				<?php echo render_switcher_input( 'cs_block_google_ads_tag_scripts' ); ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google Ads Tag', 'consent-magic' ); ?></h4>
            </div>

            <div class="col-5 right-aligned">
				<?php renderSelectInput( 'cs_block_google_ads_tag_scripts_cat', $options, true ); ?>
            </div>

            <div class="col-12 details-col" style="display: none;">
                <div class="row align-items-center" style="margin-top: 15px;">
                    <div class="col" style="padding-right: 15px;">
						<?php renderTextarea( 'cs_block_google_ads_tag_scripts_descr', '', '', true ); ?>
                    </div>
                    <div class="col-3">
                        <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                    </div>
                </div>
            </div>
        </div>

	<?php endif; ?>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_google_adsense_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google Adsense', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_google_adsense_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_google_adsense_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_google_maps_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google maps', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_google_maps_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_google_maps_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_googlefonts_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Google Fonts', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_googlefonts_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_googlefonts_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_fb_pixel_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Facebook Pixel', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_fb_pixel_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_fb_pixel_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_tiktok_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'TikTok Pixel', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_tiktok_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_tiktok_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_twitter_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Twitter Pixel', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_twitter_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_twitter_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_tw_tag_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Twitter Tag', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_tw_tag_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_tw_tag_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_big_tag_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Bing Tag', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_big_tag_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_big_tag_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_ln_tag_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Linkedin Tag', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_ln_tag_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_ln_tag_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_pin_tag_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Pinterest Tag', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_pin_tag_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_pin_tag_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_instagram_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Instagram embed', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_instagram_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_instagram_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_yt_embedded_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Youtube Embedded', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_yt_embedded_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_yt_embedded_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_vimeo_embedded_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Vimeo Embedded', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_vimeo_embedded_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_vimeo_embedded_scripts_descr', '', '', true ); ?>
                </div>

                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_soundcloud_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Soundcloud embed', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_soundcloud_scripts_cat', $options, true ); ?>
        </div>
        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_soundcloud_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_slideshare_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Slideshare embed', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_slideshare_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_slideshare_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_hubspot_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Hubspot Analytics', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_hubspot_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_hubspot_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_matomo_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Matomo Analytics', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_matomo_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_matomo_scripts_descr', '', '', true ); ?>
                </div>

                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_addthis_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Addthis widget', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_addthis_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_addthis_scripts_descr', '', '', true ); ?>
                </div>

                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_sharethis_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Sharethis widget', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_sharethis_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_sharethis_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item align-items-center">
        <div class="col-2">
            <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
        </div>

        <div class="col-5">
			<?php echo render_switcher_input( 'cs_block_hotjar_scripts' ); ?>
            <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Hotjar', 'consent-magic' ); ?></h4>
        </div>

        <div class="col-5 right-aligned">
			<?php renderSelectInput( 'cs_block_hotjar_scripts_cat', $options, true ); ?>
        </div>

        <div class="col-12 details-col" style="display: none;">
            <div class="row align-items-center" style="margin-top: 15px;">
                <div class="col" style="padding-right: 15px;">
					<?php renderTextarea( 'cs_block_hotjar_scripts_descr', '', '', true ); ?>
                </div>
                <div class="col-3">
                    <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                </div>
            </div>
        </div>
    </div>

	<?php if ( ConsentMagic()->getOption( 'cs_consent_for_pys' ) ) : ?>
        <div class="row scripts-list-item align-items-center">
            <div class="col-2">
                <span class="btn btn-blue details-control"><?php esc_html_e( 'Details', 'consent-magic' ); ?></span>
            </div>

            <div class="col-5">
				<?php echo render_switcher_input( 'cs_block_pys_scripts' ); ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'Pixel Your Site', 'consent-magic' ); ?></h4>
            </div>

            <div class="col-5 right-aligned">
				<?php renderSelectInput( 'cs_block_pys_scripts_cat', $options, true ); ?>
            </div>

            <div class="col-12 details-col" style="display: none;">
                <div class="row align-items-center" style="margin-top: 15px;">
                    <div class="col" style="padding-right: 15px;">
						<?php renderTextarea( 'cs_block_pys_scripts_descr', '', '', true ); ?>
                    </div>
                    <div class="col-3">
                        <span class="btn btn-blue btn_save_descr"><?php esc_html_e( 'Save Description', 'consent-magic' ); ?></span>
                    </div>
                </div>
            </div>
            <!--        <p>NOTE! This option will be working if Pixel YourSite First-Party Tracking is enabled</p>-->
        </div>
	<?php endif; ?>
</div>