<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>

<div class="container container-clear container-pro-badge no-padding mg-lr-40">
	<?php echo renderUpgradeBlock( '', esc_html__( 'The PRO version automatically scan your website for scripts.', 'consent-magic' ) ); ?>
</div>

<div class="container container-pro pd-40 mg-lr-40 mg-b-40">
    <div class="headline">
        <div class="row no-gutters align-items-center">
            <div class="col">
                <div class="custom-switch collapse-control disabled custom-checkbox-badge">
                    <input type="checkbox" value="0" disabled class="custom-switch-input"
                           id="block_autodetect_cookies"/>
                    <label class="custom-switch custom-switch-btn" for="block_autodetect_cookies"></label>
                    <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Block auto-detect scripts', 'consent-magic' ); ?></h3>
                </div>
            </div>

            <div class="col-4 right-aligned">
                <button class="btn btn-grey" disabled><i
                            class="icon-scan"></i> <?php esc_html_e( 'Scan Now', 'consent-magic' ); ?></button>
            </div>
        </div>
    </div>

    <div class="row scripts-list-item">
        <div class="col-7">
            <h4 class="indicator-label"><?php esc_html_e( 'Scripts scanner URL per request', 'consent-magic' ); ?></h4>
        </div>

        <div class="col">
            <select class="form-control-sm" autocomplete="off" disabled="disabled">
                <option value="5" selected="selected">5</option>
                <option value="10">10</option>
            </select>
        </div>
    </div>

    <div class="row scripts-list-item">
        <div class="col-7">
            <h4 class="indicator-label"><?php esc_html_e( 'Auto scan', 'consent-magic' ); ?></h4>
        </div>

        <div class="col">
            <select class="form-control-sm" autocomplete="off" disabled="disabled" style="width: 240px">
                <option value="1" selected="selected"><?php esc_html_e( 'Once a week', 'consent-magic' ); ?></option>
            </select>
        </div>
    </div>

    <div class="row scripts-list-item">
        <div class="col-7">
            <h4 class="indicator-label"><?php esc_html_e( 'When a new scripts is auto-detect, use this category:', 'consent-magic' ); ?></h4>
        </div>

        <div class="col">
            <select class="form-control-sm" autocomplete="off" disabled="disabled" style="width: 240px">
                <option value="1" selected="selected"><?php esc_html_e( 'Non Esential', 'consent-magic' ); ?></option>
            </select>
        </div>
    </div>

    <div class="row" style="padding-top: 40px;border-top: 1px solid #e2e2e2;margin-top: 40px;">
        <div class="col-7">
            <div class="custom-switch collapse-control disabled custom-checkbox-badge">
                <input type="checkbox" value="0" disabled class="custom-switch-input" id="block_autodetect_cookies"/>
                <label class="custom-switch custom-switch-btn" for="block_autodetect_cookies"></label>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( 'When new cookies are detected, email to this address:', 'consent-magic' ); ?></h4>
            </div>
        </div>

        <div class="col-3">
            <span><?php echo ConsentMagic()->getOption( 'cs_autodetect_email' ); ?></span>
        </div>
    </div>
</div>