<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$options = get_cookies_terms_list();

?>
<div class="cs-tab-content" style="display: block;">
    <form method="post" action="<?php echo get_admin_url() . 'admin.php?page=consent-magic'; ?>" id="cs_script_form"
          class="container">
		<?php
		// Set nonce:
		if ( function_exists( 'wp_nonce_field' ) ) {
			wp_nonce_field( 'cs-update-' . CMPRO_SETTINGS_FIELD );
		} ?>
        <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>
        <input type="hidden" name="cs[consent-magic][cs_script_id]" value="<?php echo esc_attr( $id ); ?>"
               id="cs_script_id"/>
        <div class="cs-tab-container">

            <div class="container container-clear no-padding">
                <div class="headline">
                    <div class="row align-items-center">
                        <div class="col-8">
                            <h2 class="wp-heading-inline"><?php esc_html_e( 'Edit Script:', 'consent-magic' ); ?></h2>
                        </div>

                        <div class="col-4">
							<?php renderSelectInput( 'cs_' . $id . '_script_cat', $options, true ); ?>
                        </div>
                    </div>
                </div>

                <div class="full-width-input list-item">
                    <h3><?php esc_html_e( 'Name your script:', 'consent-magic' ); ?></h3>
                    <div>
                        <input type="text" name="cs[consent-magic][cs_post_name]" id="cs_post_name"
                               class="form-control js-control-element"
                               value="<?php echo esc_attr( get_the_title( $id ) ); ?>" disabled="disabled"/>
                    </div>
                </div>

                <div class="full-width-input list-item">
                    <h3><?php esc_html_e( 'Js Needle', 'consent-magic' ); ?></h3>
                    <p><?php esc_html_e( "Into this field you can add urls which are placed in Script Body or in Attribute scr. You also can add JS parameters, which are placed in Script Body.", 'consent-magic' ); ?></p>
                    <p><?php esc_html_e( 'For example: GoogleAnalyticsObject, __gaTracker, window.ga=window.ga, www.google-analytics.com/analytics.js', 'consent-magic' ); ?></p>
                    <div>
						<?php render_multi_select_input( 'cs_default_script_js_heedle', explode( ",", get_post_meta( $id, 'cs_default_script_js_heedle', true ) ), false, 'cs_multi_select_tags', $id ); ?>
                    </div>
                </div>

                <div class="full-width-input list-item">
                    <h3><?php esc_html_e( 'Your script description:', 'consent-magic' ); ?></h3>
                    <div>
						<?php renderSimpleWpEditor( 'cs_default_script_desc', 'js-control-element', true, $id ); ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="right-aligned">
			<?php
			//save button
			include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-script-save-button.php";
			?>
        </div>
    </form>
</div>