<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$geo_enable = ConsentMagic()->getOption( 'cs_geolocation' );
$class_settings = ( (int) $geo_enable === 0 ) ? 'geo_disable' : '';

?>
<div class="container">
    <div class="rules-wrap headline">
        <div class="wrap_title" style="padding-bottom: 5px;">
            <h2><?php esc_html_e( 'Geolocation settings', 'consent-magic' ); ?></h2>
            <p style="font-size: 14px; margin: 30px 0 0;"> <?php echo sprintf( esc_html__( 'Learn how to configure geolocation: ', 'consent-magic' ) . '<a href="%s" target="_blank">' . esc_html__( 'watch video', 'consent-magic' ) . '</a>', 'https://www.youtube.com/watch?v=U1Ix2sEzNDI' ) ?></p>
        </div>

        <div class="row">
            <div class="col">
                <div class="row <?php echo esc_attr( $class_settings ); ?>" id="geolocation-settings-wrap">
                    <div class="col-12">
                        <div class="label_row">
							<?php if ( (int) ConsentMagic()->getOption( 'cs_geo_activated' ) === 1 ) : ?>
                                <div class="row"><h4><?php esc_html_e( 'License key:', 'consent-magic' ); ?></h4><strong
                                            class="cs_geo_license_message cs_geo_license_message_activated"><?php esc_html_e( 'Activated', 'consent-magic' ); ?></strong>
                                </div>
							<?php else: ?>
                                <div class="row"><h4><?php esc_html_e( 'License key:', 'consent-magic' ); ?></h4><strong
                                            class="cs_geo_license_message"><?php esc_html_e( 'Deactivated', 'consent-magic' ); ?></strong>
                                </div>
							<?php endif; ?>
                        </div>

                        <div class="input_row input_row_default">
                            <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
								<?php if ( (int) ConsentMagic()->getOption( 'cs_geo_activated' ) === 1 ) : ?>
                                    <input id="cs_cs_geo_licence_key" name="cs[consent-magic][cs_geo_licence_key]"
                                           size="25" type="text" value="************">
								<?php else:
									renderTextInput( 'cs_geo_licence_key', false, false, false, '', 'js-control-element' );
								endif; ?>

                                <button type="button" class="btn btn-blue cs_activate_geo_license"
                                        data-action="<?php echo ( (int) ConsentMagic()->getOption( 'cs_geo_activated' ) === 1 ) ? 0 : 1; ?>"
                                        data-deactivate="<?php esc_html_e( 'Deactivate', 'consent-magic' ); ?>"
                                        data-activate="<?php esc_html_e( 'Activate', 'consent-magic' ); ?>"
                                        style="margin-left: 0;">
									<?php if ( (int) ConsentMagic()->getOption( 'cs_geo_activated' ) === 1 ) {
										esc_html_e( 'Deactivate', 'consent-magic' );
									} else {
										esc_html_e( 'Activate', 'consent-magic' );
									} ?>
                                </button>
                            </div>
                            <p style="margin-top: 5px;"><?php esc_html_e( 'After creating the license key, you need to wait up to 5 minutes before activating it.', 'consent-magic' ) ?></p>
                        </div>
                    </div>

                    <div class="col-12 row" style="border-top: 1px solid #e2e2e2;padding-top: 30px; margin-top: 30px;">
                        <div class="col-1">
							<?php echo render_switcher_input( 'cs_geolocation' ); ?>
                        </div>

                        <div class="col-10">
                            <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Enable geolocation', 'consent-magic' ); ?></h3>
                        </div>
                    </div>

                    <div class="col-12 geolocation-settings" style="margin-top: 20px;">
                        <div class="label_row">
                            <h4><?php esc_html_e( 'Database file path:', 'consent-magic' ); ?></h4>
                        </div>

                        <div class="input_row input_row_default">
                            <div class="row cs_data_render_wrap cs_data_render_wrap_text_input">
                                <input type="text" name="cs_geo_db_file_path" id="cs_geo_db_file_path"
                                       class="form-control"
                                       value="<?php echo trailingslashit( str_replace( '\\', '/', CMPRO_PLUGIN_PATH ) ) . trailingslashit( ConsentMagic()->getOption( 'cs_geo_db_file_path' ) ); ?>"
                                       disabled/>
                            </div>
                        </div>

                        <div class="row list-item"
                             style="border-top: 1px solid #e2e2e2;padding-top: 20px; margin-top: 30px;">
                            <div class="col-12">
                                <h4 class="indicator-label"><?php esc_html_e( 'How often to download the files options:', 'consent-magic' ); ?></h4>
                            </div>

                            <div class="col-12">
								<?php renderSelectInput( 'cs_often_update', $cs_often_update_list, true ); ?>
                            </div>
                        </div>

                        <div class="col-12" style="border-top: 1px solid #e2e2e2;padding-top: 25px;">
                            <button type="button" class="btn btn-blue cs_force_update" style="margin-left: 0;">
                                <i class="icon-renew"></i> <?php esc_html_e( 'Force update database', 'consent-magic' ); ?>
                            </button>
                            <span class="cs_message_db_update"></span>
                            <div class="fancy-spinner">
                                <div class="ring"></div>
                                <div class="ring"></div>
                                <div class="dot"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card cs_insructions">
            <div class="card-header">
                <div class="row">
                    <div class="col">
                        <h4><?php esc_html_e( 'Instruction for creating MaxMind license key', 'consent-magic' ); ?></h4>
                    </div>

                    <div class="col-2 right-aligned">
                        <button type="button" class="btn btn-link card-collapse">
							<?php esc_html_e( 'Show', 'consent-magic' ); ?> <i class="icon-down"></i>
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body"
                 style="<?php echo ( (int) ConsentMagic()->getOption( 'cs_geo_activated' ) === 1 ) ? 'display: none' : ''; ?>">
                <div class="cart_line_item">
                    <h4 style="text-align: center"><?php esc_html_e( 'MaxMind Geolocation Integration', 'consent-magic' ); ?></h4>

                    <p><?php esc_html_e( 'Create an account on MaxMind:', 'consent-magic' ); ?></p>

                    <ul>
                        <li><?php echo esc_html__( 'Create an ', 'consent-magic' ) . '<a href="https://www.maxmind.com/en/geolite2/signup" target="_blank">' . esc_html__( 'MaxMind Geolocation account', 'consent-magic' ) . '</a>:'; ?></li>
                        <li><?php esc_html_e( 'On the registration page, complete the form with your information. If you’re not sure what to choose as "Industry" and "Intended use" fields you can fill as "eCommerce" and "Enforcing digital rights" respectively.', 'consent-magic' ); ?></li>
                        <li><?php echo esc_html__( 'After submitting you’ll get an email with a link to set your password shortly. ', 'consent-magic' ) . '<strong>' . esc_html__( 'Click on that link and choose a password.', 'consent-magic' ) . '</strong>'; ?></li>
                    </ul>

                    <img src="<?php echo esc_url( CMPRO_PLUGIN_URL . 'assets/images/instructions/geolocation-image1.png' ) ?>"
                         alt="instructions"/>
                    <img src="<?php echo esc_url( CMPRO_PLUGIN_URL . 'assets/images/instructions/geolocation-image2.png' ) ?>"
                         alt="instructions"/>

                    <p><?php esc_html_e( 'Generate your MaxMind license key:', 'consent-magic' ); ?></p>

                    <ul>
                        <li><?php echo esc_html__( 'Go to: ', 'consent-magic' ) . '<a href="https://www.maxmind.com/en/account" target="_blank">https://www.maxmind.com/en/account</a>:'; ?></li>
                        <li><?php esc_html_e( 'Select the "Manage License Keys" tab in your user account dashboard.', 'consent-magic' ); ?></li>
                        <li><?php esc_html_e( 'Select "Generate new license key".', 'consent-magic' ); ?></li>
                    </ul>

                    <img src="<?php echo esc_url( CMPRO_PLUGIN_URL . 'assets/images/instructions/geolocation-image3.png' ) ?>"
                         alt="instructions"/>

                    <ul style="margin: 30px 0">
                        <li><?php esc_html_e( 'You will be asked if you want to use the old license type. Select No', 'consent-magic' ); ?></li>
                    </ul>

                    <img src="<?php echo esc_url( CMPRO_PLUGIN_URL . 'assets/images/instructions/geolocation-image4.png' ) ?>"
                         alt="instructions"/>

                    <ul style="margin: 30px 0">
                        <li><?php esc_html_e( 'Copy the license key and paste it inside ConsentMagic settings.', 'consent-magic' ); ?></li>
                    </ul>

                    <img src="<?php echo esc_url( CMPRO_PLUGIN_URL . 'assets/images/instructions/geolocation-image5.png' ) ?>"
                         alt="instructions"/>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="container container-clear container-footer" style="border-top: 1px solid #e2e2e2;padding-top: 20px;">
	<?php
	//save button
	include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-settings-save-button.php";
	?>
</div>