<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

$options = get_existing_pages();
$fonts = array(
	array(
		'option_value' => 'arial',
		'option_name'  => esc_html__( 'Arial', 'consent-magic' )
	),
	array(
		'option_value' => 'verdana',
		'option_name'  => esc_html__( 'Verdana', 'consent-magic' )
	),
	array(
		'option_value' => 'times',
		'option_name'  => esc_html__( 'Times New Roman', 'consent-magic' )
	)
);

$rules = array(
	'cs_gdpr_rule'          => array(
		'id'    => get_post_id_by_slug( 'cs_gdpr_rule' ),
		'label' => esc_html__( 'GDPR Rule', 'consent-magic' )
	),
	'cs_ccpa_rule'          => array(
		'id'    => get_post_id_by_slug( 'cs_ccpa_rule' ),
		'label' => esc_html__( 'CCPA Rule', 'consent-magic' )
	),
	'cs_rest_of_world_rule' => array(
		'id'    => get_post_id_by_slug( 'cs_rest_of_world_rule' ),
		'label' => esc_html__( 'Rest of the world rule', 'consent-magic' )
	)
);

?>
<div class="cs_preview_container">
    <div class="<?php echo esc_attr( ConsentMagic()->get_containers_names()[ 'cs_cookie_bar_container' ] ); ?>">
        <div class="cs-modal cs-modal-admin cs-show cs-blowup static">
            <div class="cs-modal-dialog" role="document">
                <div class="cs-modal-content steps-wrap cs_settings_form" style="display: block;">
                    <div class="cs-modal-body" style="padding: 0 !important;">
                        <div id="step_one">
                            <div class="container">
                                <div class="rules-wrap-border">
									<?php if ( get_option( 'edd_consent_magic_pro_activated' ) !== 'Activated' ) { ?>
                                        <form action="options.php" method="post">
                                            <div class="rules-wrap headline">
                                                <div>
                                                    <h2><?php esc_html_e( 'Activate ConsentMagic\'s license', 'consent-magic' ); ?></h2>
                                                </div>

                                                <div style="margin-bottom: 25px;">
                                                    <p style="font-size: 16px;">
														<?php esc_html_e( 'You have your license key in the order confirmation email, and you can get it from ', 'consent-magic' ); ?>
                                                        <a href="<?php echo esc_url( 'https://www.pixelyoursite.com/my-account' ); ?>"
                                                           style="text-transform: none;"
                                                           rel="nofollow"
                                                           target="_blank"><?php esc_html_e( 'your account', 'consent-magic' ); ?></a>
														<?php esc_html_e( ' on our website. We also sent you an email containing your login data.', 'consent-magic' ); ?>
                                                    </p>
                                                </div>

												<?php settings_fields( $this->data_key ); ?>
                                                <div class="row">
                                                    <div class="col-12" style="margin-bottom: 20px;">
                                                        <div class="row align-items-center">
                                                            <div class="col-4">
                                                                <h4 class="indicator-label"
                                                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
                                                            </div>

                                                            <div class="col-8">
                                                                <span class="settings_option"
                                                                      style="line-height: 2;"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
                                                            </div>
                                                        </div>

                                                        <div class="row align-items-center">
                                                            <div class="col-4">
                                                                <h4 class="indicator-label"
                                                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
                                                            </div>

                                                            <div class="col-8">
                                                                <span class="settings_option"
                                                                      style="line-height: 2;"><?php echo CMPRO_LICENSE_NAME; ?></span>
                                                            </div>
                                                        </div>

                                                        <div class="row align-items-center">
                                                            <div class="col-4">
                                                                <h4 class="indicator-label"
                                                                    style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
                                                            </div>

                                                            <div class="col-8">
                                                                <span class="settings_option"
                                                                      style="text-transform: uppercase; line-height: 2;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                                                                        class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span>
                                                            </div>
                                                        </div>

                                                        <div class="row align-items-center">
                                                            <div class="col-4">
                                                                <h4 class="indicator-label"
                                                                    style="margin-bottom: 0;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
                                                            </div>
                                                            <div class="col full-width-input">
                                                                <input id="api_key"
                                                                       name="edd_consent_magic_pro[edd_consent_magic_pro_api_key]"
                                                                       size="25" type="text" value="">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-12 right-aligned">
                                                <input type="submit" name="submit" id="submit"
                                                       class="btn btn-blue btn-right activate_license"
                                                       value="Activate">
                                            </div>
                                        </form>

									<?php } else { ?>
                                        <div class="rules-wrap headline">
                                            <div>
                                                <h2><?php esc_html_e( 'Activate ConsentMagic\'s license', 'consent-magic' ); ?></h2>
                                            </div>

                                            <div style="margin-bottom: 25px;">
                                                <p style="font-size: 16px;"><?php esc_html_e( 'Your license is now activated, please continue to the next step.', 'consent-magic' ); ?></p>
                                            </div>

                                            <div class="row">
                                                <div class="col-12" style="margin-bottom: 20px;">
                                                    <div class="row align-items-center">
                                                        <div class="col-4">
                                                            <h4 class="indicator-label"
                                                                style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'Plugin version:', 'consent-magic' ); ?></h4>
                                                        </div>

                                                        <div class="col-8">
                                                            <span class="settings_option"
                                                                  style="line-height: 2;"><?php echo CMPRO_LATEST_VERSION_NUMBER; ?></span>
                                                        </div>
                                                    </div>

                                                    <div class="row align-items-center">
                                                        <div class="col-4">
                                                            <h4 class="indicator-label"
                                                                style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License name:', 'consent-magic' ); ?></h4>
                                                        </div>

                                                        <div class="col-8">
                                                            <span class="settings_option"
                                                                  style="line-height: 2;"><?php echo CMPRO_LICENSE_NAME; ?></span>
                                                        </div>
                                                    </div>

                                                    <div class="row align-items-center">
                                                        <div class="col-4">
                                                            <h4 class="indicator-label"
                                                                style="margin-bottom: 0;display: inline-block;margin-right: 10px;"><?php esc_html_e( 'License type:', 'consent-magic' ); ?></h4>
                                                        </div>

                                                        <div class="col-8">
                                                            <span class="settings_option"
                                                                  style="text-transform: uppercase; line-height: 2;"><?php echo CMPRO_LICENSE_TYPE; ?></span><span
                                                                    class="settings_option"><?php esc_html_e( ' License', 'consent-magic' ); ?></span>
                                                        </div>
                                                    </div>

                                                    <div class="row align-items-center">
                                                        <div class="col-4">
                                                            <h4 class="indicator-label"
                                                                style="margin-bottom: 0;"><?php esc_html_e( 'Your license key:', 'consent-magic' ); ?></h4>
                                                        </div>

                                                        <div class="col full-width-input">
                                                            <input id="api_key"
                                                                   name="edd_consent_magic_pro[edd_consent_magic_pro_api_key]"
                                                                   size="25" type="text"
                                                                   value="*****************************" disabled>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-12 right-aligned">
                                            <button type="button"
                                                    class="btn btn-blue btn-right btn_second_step"><i
                                                        class="icon-update2"></i> <?php esc_html_e( 'Continue', 'consent-magic' ); ?>
                                            </button>
                                        </div>
									<?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <form method="post" action="<?php echo get_admin_url( null, 'admin.php?page=consent-magic' ); ?>"
                      id="cs_step_form" class="cs-modal-content" style="display: none;">

					<?php
					// Set nonce:
					if ( function_exists( 'wp_nonce_field' ) ) {
						wp_nonce_field( 'cs-update-' . CMPRO_SETTINGS_FIELD );
					} ?>

                    <div class="cs-modal-body" style="padding: 0 !important;">
                        <input type="hidden" name="cs_update_action" value="" id="cs_update_action"/>
                        <div class="steps-wrap" id="step_second" style="display: block;">
                            <div class="container">
                                <div class="rules-wrap-border">
                                    <div class="rules-wrap headline">
                                        <div>
                                            <h2><?php esc_html_e( 'Configure the default rules', 'consent-magic' ); ?></h2>
                                        </div>

                                        <div style="margin-bottom: 35px;">
                                            <p style="font-size: 16px;"><?php esc_html_e( 'We recommend keeping the default rules active. You can edit them, turned them ON or OFF, or create new rules anytime you want.', 'consent-magic' ); ?></p>
                                        </div>

                                        <div class="row align-items-flex-end">
                                            <div class="col">
                                                <div class="row align-items-center">
													<?php
													foreach ( $rules as $key => $rule ) : ?>
                                                        <div class="col-12" style="margin-bottom: 20px;">
															<?php echo render_switcher_input( $key, false, false, null, false, false, false, true ); ?>
                                                            <h3 class="indicator-label switcher-label"><?php echo esc_html( $rule[ 'label' ] ) ?></h3>
                                                        </div>
													<?php endforeach;
													?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="right-aligned row align-items-center" style="margin-top: 15px;">
                                        <div class="col">
                                            <button type="button" class="btn btn-blue btn-right btn_next_step"><i
                                                        class="icon-update2"></i> <?php esc_html_e( 'Continue', 'consent-magic' ); ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="steps-wrap" id="step_third">
                            <div class="container">
                                <div class="rules-wrap-border">
                                    <div class="rules-wrap headline">
                                        <div>
                                            <h2><?php esc_html_e( 'Select the top rule:', 'consent-magic' ); ?></h2>
                                        </div>

                                        <div style="margin-bottom: 35px;">
                                            <p style="font-size: 16px;"><?php esc_html_e( 'The top rule will be the only rule active untill you complete the geoocation settings. You can re-order rules at any time.', 'consent-magic' ); ?></p>
                                        </div>

                                        <div class="row align-items-flex-end">
                                            <div class="col">
                                                <div class="row align-items-center">
                                                    <div class="col-12 options_column" style="margin-bottom: 20px;">
														<?php
														foreach ( $rules as $rule ) {
															render_radio_input( 'cs_active_rule_id_first', $rule[ 'id' ], $rule[ 'label' ] );
														}
														?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="right-aligned row align-items-center" style="margin-top: 15px;">
                                        <div class="col">
                                            <button type="button" class="btn btn-blue btn-right btn_prev_step"
                                                    style="margin: 0;display: block;"><i
                                                        class="icon-back"></i> <?php esc_html_e( 'Back to the previous step', 'consent-magic' ); ?>
                                            </button>
                                        </div>

                                        <div class="col">
                                            <button type="button" class="btn btn-blue btn-right btn_next_step"><i
                                                        class="icon-update2"></i> <?php esc_html_e( 'Continue', 'consent-magic' ); ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="steps-wrap" id="step_fourth">
                            <div class="container">
                                <div class="rules-wrap-border">
                                    <div class="rules-wrap headline">
                                        <div>
                                            <h2><?php esc_html_e( 'Privacy policy page', 'consent-magic' ); ?></h2>
                                        </div>

                                        <div class="row align-items-center">
                                            <div class="col-6">
                                                <h4 class="indicator-label"
                                                    style="margin-bottom: 0;"><?php esc_html_e( 'Select an existing page', 'consent-magic' ); ?></h4>
                                            </div>
                                            <div class="col-6">
												<?php renderSelectInput( 'cs_policy_existing_page', $options, true ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="right-aligned row align-items-center" style="margin-top: 15px;">
                                    <div class="col">
                                        <button type="button" class="btn btn-blue btn-right btn_prev_step"
                                                style="margin: 0;display: block;"><i
                                                    class="icon-back"></i> <?php esc_html_e( 'Back to the previous step', 'consent-magic' ); ?>
                                        </button>
                                    </div>

                                    <div class="col">
                                        <button type="button" class="btn btn-blue btn-right btn_next_step"><i
                                                    class="icon-update2"></i> <?php esc_html_e( 'Continue', 'consent-magic' ); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="steps-wrap" id="step_fifth">
                            <div class="container">
                                <div class="rules-wrap-border">
                                    <div class="rules-wrap headline">
                                        <div>
                                            <h2><?php esc_html_e( 'Script blocking', 'consent-magic' ); ?></h2>
                                        </div>

                                        <div style="margin-bottom: 35px;">
                                            <p style="font-size: 16px;"><?php esc_html_e( "We recommend keeping it active. When necessary, the plugin automatically blocks the most common scripts according to rules and user's preferences.", 'consent-magic' ); ?></p>
                                        </div>

                                        <div class="row">
                                            <div class="col">
												<?php echo render_switcher_input( 'cs_script_blocking_enabled' ); ?>
                                                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Enable Script Blocking', 'consent-magic' ); ?></h3>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="right-aligned row align-items-center" style="margin-top: 15px;">
                                    <div class="col">
                                        <button type="button" class="btn btn-blue btn-right btn_prev_step"
                                                style="margin: 0;display: block;"><i
                                                    class="icon-back"></i> <?php esc_html_e( 'Back to the previous step', 'consent-magic' ); ?>
                                        </button>
                                    </div>

                                    <div class="col">
                                        <button type="button" class="btn btn-blue btn-right btn_next_step"><i
                                                    class="icon-update2"></i> <?php esc_html_e( 'Continue', 'consent-magic' ); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="steps-wrap" id="step_sixth">
                            <div class="container">
                                <div class="rules-wrap-border">
                                    <div class="rules-wrap headline">
                                        <input type="hidden" name="cs[consent-magic][cs_check_flow]" value="1"
                                               checked="checked" id="cs_consent-magic_cs_check_flow"
                                               class="custom-switch-input"
                                               data-target="cs_consent-magic_cs_check_flow_panel">
                                        <div>
                                            <h2><?php esc_html_e( 'Configure Google Fonts', 'consent-magic' ); ?></h2>
                                        </div>

                                        <div style="margin-bottom: 35px;">
                                            <p style="font-size: 16px;"><?php esc_html_e( 'Inform your users about the use of Google Fonts and let them opt out of using them. When Google Fonts are rejected, they will be replaced by another font type. You can change these settings from the plugin\'s Scrips & Cookies > Categories.
                                            This option works for rules using "Inform and Opt-out" and "Aks before tracking" consent types. ', 'consent-magic' ); ?></p>
                                        </div>

                                        <div class="row align-items-center">
                                            <div class="col-6">
                                                <h4 class="indicator-label"
                                                    style="margin-bottom: 0;"><?php esc_html_e( 'Select the fallback font: ', 'consent-magic' ); ?></h4>
                                            </div>

                                            <div class="col-6">
												<?php renderSelectInput( 'default_font', $fonts, true ); ?>
                                            </div>
                                        </div>

                                        <div class="row align-items-flex-end" style="margin-top: 35px;">
                                            <div class="col">
                                                <div class="row align-items-center">
                                                    <div class="col-12" style="margin-bottom: 20px;">
														<?php echo render_switcher_input( 'cs_block_googlefonts_enabled' ); ?>
                                                        <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Enable Google Fonts blocking', 'consent-magic' ); ?></h3>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="right-aligned row align-items-center" style="margin-top: 15px;">
                                        <div class="col">
                                            <button type="button" class="btn btn-blue btn-right btn_prev_step"
                                                    style="margin: 0;display: block;"><i
                                                        class="icon-back"></i> <?php esc_html_e( 'Back to the previous step', 'consent-magic' ); ?>
                                            </button>
                                        </div>

                                        <div class="col last_step">
                                            <div class="fancy-spinner" style="margin: 0;">
                                                <div class="ring"></div>
                                                <div class="ring"></div>
                                                <div class="dot"></div>
                                            </div>
											<?php
											//save button
											include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-first-flow-save-button.php";
											?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>