<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}
?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container">
        <div class="row">
            <div class="col">
				<?php echo render_switcher_input( 'cs_proof_consent_enable' ); ?>
                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Enable Consent Proof Storing', 'consent-magic' ); ?></h3>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row headline">
            <div class="col-12">
                <h2><?php esc_html_e( 'Store consent for these types of consent', 'consent-magic' ); ?></h2>
            </div>

            <div class="col-12" style="margin: 40px 0;">
                <div class="options-item">
					<?php echo render_switcher_input( 'cs_proof_just_inform' ); ?>
                    <label class="indicator-label switcher-label"><?php esc_html_e( 'Just inform', 'consent-magic' ); ?></label>
                </div>

                <div class="options-item">
					<?php echo render_switcher_input( 'cs_proof_inform_and_optout' ); ?>
                    <label class="indicator-label switcher-label"><?php esc_html_e( 'Inform and opt-out', 'consent-magic' ); ?></label>
                </div>

                <div class="options-item">
					<?php echo render_switcher_input( 'cs_proof_ask_before_tracking' ); ?>
                    <label class="indicator-label switcher-label"><?php esc_html_e( 'Ask before tracking', 'consent-magic' ); ?></label>
                </div>
            </div>

            <div class="col-12">
                <span class="description_text"><?php esc_html_e( 'Each rule has the option to exclude it from consent storage.', 'consent-magic' ); ?></span>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="rules-wrap">
            <p class="small_number"><?php esc_html_e( 'Store consent for ', 'consent-magic' ); ?><?php render_number_input( 'cs_stored_consent_for', false ); ?><?php esc_html_e( 'days. Leave blank for unlimited.', 'consent-magic' ); ?></p>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-12">
				<?php echo render_switcher_input( 'cs_proof_auto_delete' ); ?>
                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Automatically delete consent', 'consent-magic' ); ?></h3>
            </div>

            <div class="col-12" style="margin: 40px 0;">
                <div class="rules-wrap">
                    <p class=""><?php esc_html_e( 'If there are more than ', 'consent-magic' ); ?><?php render_number_input( 'cs_proof_entries_count', false ); ?><?php esc_html_e( 'entries.', 'consent-magic' ); ?><?php esc_html_e( 'Maximum', 'consent-magic' ); ?><?php echo esc_html( ConsentMagic()->getOption( 'cs_proof_entries_count' ) ); ?><?php esc_html_e( 'entries, to keep the database size under control.', 'consent-magic' ); ?></p>
                </div>
            </div>

            <div class="col-12" style="margin: 0 0 20px;">
				<?php echo render_switcher_input( 'cs_email_before_delete_consent' ); ?>
                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Send consent to email before deleting', 'consent-magic' ); ?></h3>
            </div>

            <div class="col-12">
                <div class="rules-wrap">
                    <p class=""><?php esc_html_e( 'Send consent to this email before deleting:', 'consent-magic' ); ?><?php renderProofDeletingEmail(); ?></p>
                </div>
            </div>
        </div>
    </div>

    <div class="container container-clear container-footer">
		<?php
		//save button
		include CMPRO_PLUGIN_VIEWS_PATH . "admin/buttons/admin-settings-save-button.php";
		?>
    </div>
</div>