<?php

namespace ConsentMagicPro;

// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
	die;
}

?>
<div class="cs-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
    <div class="container">
        <div class="row headline">
            <div class="col">
                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Global stats', 'consent-magic' ); ?></h3>
            </div>
        </div>

        <div class="row align-items-center">
            <div class="col-12" style="margin-bottom: 10px;">
                <span class="switcher-label"><?php esc_html_e( 'Total messages shown:', 'consent-magic' ); ?></span>
                <span><?php
					if ( get_option( 'cs_proof_show_count', true ) ) {
						echo esc_attr( get_option( 'cs_proof_show_count', true ) );
					} else {
						echo '0';
					}
					?></span>
            </div>
        </div>

        <div class="well">
            <h4><?php esc_html_e( 'Date range filters', "consent-magic" ); ?></h4>
        </div>

        <table style="width:100%;margin-bottom: 25px;">
            <tr>
                <td style="width: 250px;">
                    <input type="text" readonly id="search_fromdate_global" class="datepicker_global"
                           placeholder="From date" style="width: 90%;">
                </td>

                <td style="width: 250px;">
                    <input type="text" readonly id="search_todate_global" class="datepicker_global"
                           placeholder="To date" style="width: 90%;">
                </td>

                <td>
                    <button type="button" id="btn_search_global" class="btn btn-blue"
                            style="margin: 0 0 0 auto;display: block;"><i class="icon-browse"></i><?php esc_html_e( 'Search', "consent-magic" ); ?>
                    </button>
                </td>
            </tr>
        </table>

        <table id="proof_global_stats_data" class="display" style="width:100%;">
            <thead>
            <tr>
                <th><?php esc_html_e( 'Action', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Count', "consent-magic" ); ?></th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th><?php esc_html_e( 'Action', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Count', "consent-magic" ); ?></th>
            </tr>
            </tfoot>
        </table>
    </div>

    <div class="container">
        <div class="row headline">
            <div class="col">
                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Stats by Consent Type', 'consent-magic' ); ?></h3>
            </div>
        </div>

        <div class="well">
            <h4><?php esc_html_e( 'Date range filters', "consent-magic" ); ?></h4>
        </div>

        <table style="width:100%;margin-bottom: 25px;">
            <tr>
                <td style="width: 250px;">
                    <input type="text" readonly id="search_fromdate_consent_type" class="datepicker_consent_type"
                           placeholder="From date" style="width: 90%;">
                </td>
                <td style="width: 250px;">
                    <input type="text" readonly id="search_todate_consent_type" class="datepicker_consent_type"
                           placeholder="To date" style="width: 90%;">
                </td>
                <td>
                    <button type="button" id="btn_search_consent_type" class="btn btn-blue"
                            style="margin: 0 0 0 auto;display: block;"><i class="icon-browse"></i><?php esc_html_e( 'Search', "consent-magic" ); ?>
                    </button>
                </td>
            </tr>
        </table>

        <table id="proof_cs_type_stats_data" class="display" style="width:100%;">
            <thead>
            <tr>
                <th><?php esc_html_e( 'Consent type', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Allow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Disallow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Close on scroll', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Confirm choices', "consent-magic" ); ?></th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th><?php esc_html_e( 'Consent type', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Allow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Disallow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Close on scroll', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Confirm choices', "consent-magic" ); ?></th>
            </tr>
            </tfoot>
        </table>
    </div>

    <div class="container">
        <div class="row headline">
            <div class="col">
                <h3 class="indicator-label switcher-label"><?php esc_html_e( 'Stats by rule', 'consent-magic' ); ?></h3>
            </div>
        </div>

        <div class="well">
            <h4><?php esc_html_e( 'Date range filters', "consent-magic" ); ?></h4>
        </div>

        <table style="width:100%;margin-bottom: 25px;">
            <tr>
                <td style="width: 250px;">
                    <input type="text" readonly id="search_fromdate" class="datepicker" placeholder="From date"
                           style="width: 90%;">
                </td>
                <td style="width: 250px;">
                    <input type="text" readonly id="search_todate" class="datepicker" placeholder="To date"
                           style="width: 90%;">
                </td>
                <td>
                    <button type="button" id="btn_search" class="btn btn-blue"
                            style="margin: 0 0 0 auto;display: block;"><i class="icon-browse"></i><?php esc_html_e( 'Search', "consent-magic" ); ?>
                    </button>
                </td>
            </tr>
        </table>

        <table id="proof_rules_stats_data" class="display" style="width:100%;">
            <thead>
            <tr>
                <th><?php esc_html_e( 'Rule name', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Allow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Disallow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Close on scroll', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Confirm choices', "consent-magic" ); ?></th>
            </tr>
            </thead>
            <tfoot>
            <tr>
                <th><?php esc_html_e( 'Rule name', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Allow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Disallow All', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Close on scroll', "consent-magic" ); ?></th>
                <th><?php esc_html_e( 'Confirm choices', "consent-magic" ); ?></th>
            </tr>
            </tfoot>
        </table>
    </div>
</div>