<?php

namespace ConsentMagicPro;

$p_id = $id;
$metas = get_post_meta( $id );
$cs_bars_type = $metas[ '_cs_bars_type' ][ 0 ];
$cs_bars_position = $metas[ '_cs_bars_position' ][ 0 ];
$cs_type = $metas[ '_cs_type' ][ 0 ];
$cs_sticky = ( $metas[ '_cs_sticky' ][ 0 ] == 1 ) ? 'sticky' : 'not-sticky';
$cs_privacy_link = $metas[ '_cs_privacy_link' ][ 0 ];
$cs_deny_all_btn = $metas[ '_cs_deny_all_btn' ][ 0 ];
$cs_custom_button_btn = $metas[ '_cs_custom_button' ][ 0 ];

?>
<div class="rules-wrap row headline">
    <div class="col-12">
        <div class="flex-wrap align-items-center">
            <div class="col">
                <h2 style="line-height: 1.7;"><?php echo esc_html( get_the_title( $p_id ) ); ?></h2>
            </div>

            <div class="col-5 right-aligned">
                <a href="<?php echo esc_url( get_admin_url( null, 'admin.php?page=consent-magic' ) . '&rule_id=' . $p_id ); ?>"
                   class="btn btn-blue btn_edit_rule btn-right"><i
                            class="icon-edit"></i> <?php esc_html_e( 'Edit', 'consent-magic' ); ?></a>
                <div class="preview_container cs_preview_container">
                    <button type="button" class="btn btn-blue preview_action_btn btn-right"><i
                                class="icon-browse"></i> <?php esc_html_e( 'Preview', 'consent-magic' ); ?></button>
                    <div class="preview_wrap preview_wrap_showing">
                        <div class="<?php echo esc_attr( ConsentMagic()->get_containers_names()[ 'cs_cookie_bar_container' ] ); ?>">
							<?php
							if ( $cs_bars_type == 'bar_small' || $cs_bars_type == 'bar_large' ) {
								$id = $metas[ '_cs_theme' ][ 0 ];
								require_once CMPRO_PLUGIN_VIEWS_PATH . 'templates/cs-bar.php';
							} else if ( $cs_bars_type == 'popup_small' || $cs_bars_type == 'popup_large' ) {
								$id = $metas[ '_cs_theme' ][ 0 ];
								require_once CMPRO_PLUGIN_VIEWS_PATH . 'templates/cs_popup.php';
							}
							?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-8">
        <div class="rule-data-wrap">
            <h4><?php esc_html_e( 'Consent type:', 'consent-magic' ); ?></h4>
            <p><?php echo wp_kses_post( get_meta_value_by_key( $p_id, '_cs_type' ) ); ?></p>
        </div>

        <h4><?php esc_html_e( 'Design:', 'consent-magic' ); ?></h4>
        <p><?php echo wp_kses_post( get_meta_value_by_key( $p_id, '_cs_bars_type' ) ); ?><span
                    class="cs-tag"><?php echo esc_html( $cs_bars_position ); ?></span><span
                    class="cs-tag"><?php echo esc_html( $cs_sticky ); ?></span></p>
    </div>
</div>