<?php

namespace ConsentMagicPro;

$p_id = $id;
$metas = get_post_meta( $id );
$cs_bars_type = $metas[ '_cs_bars_type' ][ 0 ];
$cs_bars_position = $metas[ '_cs_bars_position' ][ 0 ];
$cs_type = $metas[ '_cs_type' ][ 0 ];
$cs_sticky = ( $metas[ '_cs_sticky' ][ 0 ] == 1 ) ? 'sticky' : 'not-sticky';
$cs_privacy_link = $metas[ '_cs_privacy_link' ][ 0 ];
$cs_deny_all_btn = $metas[ '_cs_deny_all_btn' ][ 0 ];
$cs_custom_button_btn = $metas[ '_cs_custom_button' ][ 0 ];
$cs_bar_type = $metas[ '_cs_bars_type' ][ 0 ];

?>

<div class="rules-wrap row headline portlet <?php esc_html_e( ( get_post_meta( $p_id, '_cs_enable_rule', true ) == '1' ) ? '' : 'draft' );
echo ' ' . esc_attr( $geo_class ); ?>" id="<?php echo esc_attr( $p_id ); ?>">
    <div class="col-12">
        <div class="row no-gutters align-items-center portlet-header cs-no-background">
            <div class="col js-control" data-id="<?php echo esc_attr( $p_id ); ?>">
				<?php echo render_several_switcher_input( '_cs_enable_rule', false, true, $p_id ); ?>
                <h3 class="indicator-label switcher-label"><?php esc_attr_e( get_the_title( $p_id ) ); ?></h3>
            </div>

            <div class="col-6 right-aligned">
                <a href="<?php echo esc_url( get_admin_url( null, 'admin.php?page=consent-magic' ) . '&primary_rule_id=' . $p_id ); ?>"
                   class="btn btn-blue btn_edit_rule btn-right"><i
                            class="icon-edit"></i> <?php esc_html_e( 'Edit', 'consent-magic' ); ?></a>
                <div class="preview_container cs_preview_container">
                    <button type="button" class="btn btn-blue preview_list_action_btn btn-right"
                            data-id="<?php echo esc_attr( $p_id ); ?>" data-template="<?php echo esc_attr( $cs_bar_type ); ?>"><i
                                class="icon-browse"></i> <?php esc_html_e( 'Preview', 'consent-magic' ); ?></button>
                    <div class="preview_wrap preview_wrap_showing">
                        <div class="<?php echo esc_attr( ConsentMagic()->get_containers_names()[ 'cs_cookie_bar_container' ] ); ?>"></div>
                    </div>
                </div>

				<?php if ( get_post_meta( $p_id, '_cs_predefined_rule', true ) == 0 ) { ?>
                    <button type="button" data-id="<?php echo esc_attr( $p_id ); ?>"
                            class="btn btn-blue custom_rule_delete_btn"><i
                                class="icon-delete"></i>
						<?php esc_html_e( 'Delete', 'consent-magic' ); ?>
                    </button>
				<?php } ?>
            </div>
        </div>
    </div>

    <div class="col-12 portlet-content" style="display: none;">
        <div class="rule-data-wrap">
            <h4><?php esc_html_e( 'Target:', 'consent-magic' ); ?></h4>
            <p><?php

				if ( get_meta_value_by_key( $p_id, '_cs_target' ) ) {
					$all_locations = renderCSTypeLocations();
					$all_locations_keys = array_keys( $all_locations );
					$gdpr_counries = array();
					$non_gdpr_counries = array();

					foreach ( $all_locations as $key => $location ) {
						if ( $location[ 1 ] === 'GDPR' ) {
							$gdpr_counries[] = $key;
						} else if ( $location[ 1 ] === 'NONGDPR' ) {
							$non_gdpr_counries[] = $key;
						}
					}

					$locations = explode( ',', get_meta_value_by_key( $p_id, '_cs_target' ) );

					$ccpa = false;
					$key = array_search( 'CCPA', $locations );
					if ( $key !== false ) {
						if ( sizeof( $locations ) == 1 ) {
							$ccpa = true;
						}
						unset( $locations[ $key ] );
					}
					$key = array_search( 'GDPR', $locations );
					if ( $key !== false ) {
						unset( $locations[ $key ] );
					}
					$key = array_search( 'NONGDPR', $locations );
					if ( $key !== false ) {
						unset( $locations[ $key ] );
					}

					$result = '';

					if ( $ccpa ) {
						$result = 'California (CCPA)';
					} elseif ( empty( array_diff( $locations, $gdpr_counries ) ) && empty( array_diff( $gdpr_counries, $locations ) ) ) {
						$result = 'GDPR countries';
					} elseif ( empty( array_diff( $locations, $non_gdpr_counries ) ) && empty( array_diff( $non_gdpr_counries, $locations ) ) ) {
						$result = 'Non-GDPR countries';
					} elseif ( empty( array_diff( $locations, $all_locations_keys ) ) && empty( array_diff( $all_locations_keys, $locations ) ) ) {
						$result = 'All countries';
					} else {
						$result = 'Custom';
					}

					echo $result;
				} else {
					esc_html_e( 'No Group was selected.', 'consent-magic' );
				}
				?></p>
        </div>

        <div class="rule-data-wrap">
            <div class="col js-ip-rule-control" data-id="<?php echo esc_attr( $p_id ); ?>">
				<?php if ( get_the_title( $p_id ) == 'GDPR Rule' && !metadata_exists( 'post', $p_id, '_cs_no_ip_rule' ) ) {
					update_post_meta( $p_id, '_cs_no_ip_rule', 1 );
					echo render_switcher_input( '_cs_no_ip_rule', false, true, $p_id );
				} else {
					echo render_switcher_input( '_cs_no_ip_rule', false, true, $p_id );
				} ?>
                <h4 class="indicator-label switcher-label"><?php esc_html_e( "Show this rule when we can't retrieve the IP", 'consent-magic' ); ?></h4>
            </div>
        </div>

        <div class="rule-data-wrap">
            <h4><?php esc_html_e( 'Consent type:', 'consent-magic' ); ?></h4>
            <p><?php esc_html_e( get_meta_value_by_key( $p_id, '_cs_type' ) ); ?></p>
        </div>

        <h4><?php esc_html_e( 'Design:', 'consent-magic' ); ?></h4>
        <p><?php echo wp_kses_post( get_meta_value_by_key( $p_id, '_cs_bars_type' ) ); ?><span
                    class="cs-tag"><?php echo esc_attr( $cs_bars_position ); ?></span><span
                    class="cs-tag"><?php echo esc_attr( $cs_sticky ); ?></span></p>
    </div>
</div>